﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dotx64Dbg
{
    public partial class Assembler
    {
        //! \name Base Instructions & Operand.OpReg Extensions
        public Assembler Adc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Adc, a, b);
        public Assembler Adc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Adc, a, b);
        public Assembler Adc(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Adc, a, b);
        public Assembler Adc(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Adc, a, b);
        public Assembler Adc(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Adc, a, b);
        public Assembler Add(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Add, a, b);
        public Assembler Add(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Add, a, b);
        public Assembler Add(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Add, a, b);
        public Assembler Add(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Add, a, b);
        public Assembler Add(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Add, a, b);
        public Assembler And(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.And, a, b);
        public Assembler And(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.And, a, b);
        public Assembler And(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.And, a, b);
        public Assembler And(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.And, a, b);
        public Assembler And(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.And, a, b);
        public Assembler Arpl(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Arpl, a, b);
        public Assembler Arpl(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Arpl, a, b);
        public Assembler Bound(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bound, a, b);
        public Assembler Bsf(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bsf, a, b);
        public Assembler Bsf(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bsf, a, b);
        public Assembler Bsr(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bsr, a, b);
        public Assembler Bsr(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bsr, a, b);
        public Assembler Bswap(Operand.Register a) => CreateInstr(Mnemonic.Bswap, a);
        public Assembler Bt(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bt, a, b);
        public Assembler Bt(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Bt, a, b);
        public Assembler Bt(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Bt, a, b);
        public Assembler Bt(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Bt, a, b);
        public Assembler Btc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Btc, a, b);
        public Assembler Btc(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Btc, a, b);
        public Assembler Btc(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Btc, a, b);
        public Assembler Btc(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Btc, a, b);
        public Assembler Btr(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Btr, a, b);
        public Assembler Btr(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Btr, a, b);
        public Assembler Btr(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Btr, a, b);
        public Assembler Btr(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Btr, a, b);
        public Assembler Bts(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bts, a, b);
        public Assembler Bts(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Bts, a, b);
        public Assembler Bts(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Bts, a, b);
        public Assembler Bts(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Bts, a, b);
        public Assembler Clc() => CreateInstr(Mnemonic.Clc);
        public Assembler Cld() => CreateInstr(Mnemonic.Cld);
        public Assembler Cli() => CreateInstr(Mnemonic.Cli);
        public Assembler Clts() => CreateInstr(Mnemonic.Clts);
        public Assembler Cmc() => CreateInstr(Mnemonic.Cmc);
        public Assembler Cmp(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cmp, a, b);
        public Assembler Cmp(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cmp, a, b);
        public Assembler Cmp(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Cmp, a, b);
        public Assembler Cmp(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Cmp, a, b);
        public Assembler Cmp(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Cmp, a, b);
        public Assembler Dec(Operand.Register a) => CreateInstr(Mnemonic.Dec, a);
        public Assembler Dec(Operand.Memory a) => CreateInstr(Mnemonic.Dec, a);
        public Assembler Emms() => CreateInstr(Mnemonic.Emms);
        public Assembler Enter(Operand.Immediate a, Operand.Immediate b) => CreateInstr(Mnemonic.Enter, a, b);
        public Assembler Hlt() => CreateInstr(Mnemonic.Hlt);
        public Assembler Imul(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Imul, a, b);
        public Assembler Imul(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Imul, a, b, c);
        public Assembler Imul(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Imul, a, b, c);
        public Assembler Inc(Operand.Register a) => CreateInstr(Mnemonic.Inc, a);
        public Assembler Inc(Operand.Memory a) => CreateInstr(Mnemonic.Inc, a);
        public Assembler Insb() => CreateInstr(Mnemonic.Insb);
        public Assembler Insw() => CreateInstr(Mnemonic.Insw);
        public Assembler Insd() => CreateInstr(Mnemonic.Insd);
        public Assembler Int(Operand.Immediate a) => CreateInstr(Mnemonic.Int, a);
        public Assembler Int3() => CreateInstr(Mnemonic.Int3);
        public Assembler Into() => CreateInstr(Mnemonic.Into);
        public Assembler Invd() => CreateInstr(Mnemonic.Invd);
        public Assembler Invlpg(Operand.Memory a) => CreateInstr(Mnemonic.Invlpg, a);
        public Assembler Invpcid(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Invpcid, a, b);

        public Assembler Lar(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Lar, a, b);
        public Assembler Lar(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lar, a, b);
        public Assembler Ldmxcsr(Operand.Memory a) => CreateInstr(Mnemonic.Ldmxcsr, a);
        public Assembler Lds(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lds, a, b);
        public Assembler Lea(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lea, a, b);
        public Assembler Leave() => CreateInstr(Mnemonic.Leave);
        public Assembler Les(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Les, a, b);
        public Assembler Lfence() => CreateInstr(Mnemonic.Lfence);
        public Assembler Lfs(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lfs, a, b);
        public Assembler Lgdt(Operand.Memory a) => CreateInstr(Mnemonic.Lgdt, a);
        public Assembler Lgs(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lgs, a, b);
        public Assembler Lidt(Operand.Memory a) => CreateInstr(Mnemonic.Lidt, a);
        public Assembler Lldt(Operand.Register a) => CreateInstr(Mnemonic.Lldt, a);
        public Assembler Lldt(Operand.Memory a) => CreateInstr(Mnemonic.Lldt, a);
        public Assembler Lmsw(Operand.Register a) => CreateInstr(Mnemonic.Lmsw, a);
        public Assembler Lmsw(Operand.Memory a) => CreateInstr(Mnemonic.Lmsw, a);
        public Assembler Lsl(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Lsl, a, b);
        public Assembler Lsl(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lsl, a, b);
        public Assembler Lss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lss, a, b);
        public Assembler Ltr(Operand.Register a) => CreateInstr(Mnemonic.Ltr, a);
        public Assembler Ltr(Operand.Memory a) => CreateInstr(Mnemonic.Ltr, a);
        public Assembler Mfence() => CreateInstr(Mnemonic.Mfence);
        public Assembler Mov(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Mov, a, b);
        public Assembler Mov(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Mov, a, b);
        public Assembler Mov(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Mov, a, b);
        public Assembler Mov(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Mov, a, b);
        public Assembler Mov(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Mov, a, b);
        public Assembler Movnti(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movnti, a, b);
        public Assembler Movsx(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movsx, a, b);
        public Assembler Movsx(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movsx, a, b);
        public Assembler Movsxd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movsxd, a, b);
        public Assembler Movsxd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movsxd, a, b);
        public Assembler Movzx(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movzx, a, b);
        public Assembler Movzx(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movzx, a, b);
        public Assembler Neg(Operand.Register a) => CreateInstr(Mnemonic.Neg, a);
        public Assembler Neg(Operand.Memory a) => CreateInstr(Mnemonic.Neg, a);
        public Assembler Nop() => CreateInstr(Mnemonic.Nop);
        public Assembler Nop(Operand.Register a) => CreateInstr(Mnemonic.Nop, a);
        public Assembler Nop(Operand.Memory a) => CreateInstr(Mnemonic.Nop, a);
        public Assembler Not(Operand.Register a) => CreateInstr(Mnemonic.Not, a);
        public Assembler Not(Operand.Memory a) => CreateInstr(Mnemonic.Not, a);
        public Assembler Or(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Or, a, b);
        public Assembler Or(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Or, a, b);
        public Assembler Or(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Or, a, b);
        public Assembler Or(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Or, a, b);
        public Assembler Or(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Or, a, b);
        public Assembler Out(Operand.Immediate a) => CreateInstr(Mnemonic.Out, a);
        public Assembler Out() => CreateInstr(Mnemonic.Out);
        public Assembler Outsb() => CreateInstr(Mnemonic.Outsb);
        public Assembler Outsw() => CreateInstr(Mnemonic.Outsw);
        public Assembler Outsd() => CreateInstr(Mnemonic.Outsd);
        public Assembler Pause() => CreateInstr(Mnemonic.Pause);
        public Assembler Pop(Operand.Register a) => CreateInstr(Mnemonic.Pop, a);
        public Assembler Pop(Operand.Memory a) => CreateInstr(Mnemonic.Pop, a);
        public Assembler Popa() => CreateInstr(Mnemonic.Popa);
        public Assembler Popad() => CreateInstr(Mnemonic.Popad);
        public Assembler Popf() => CreateInstr(Mnemonic.Popf);
        public Assembler Popfd() => CreateInstr(Mnemonic.Popfd);
        public Assembler Popfq() => CreateInstr(Mnemonic.Popfq);
        public Assembler Prefetch(Operand.Memory a) => CreateInstr(Mnemonic.Prefetch, a);
        public Assembler Prefetchnta(Operand.Memory a) => CreateInstr(Mnemonic.Prefetchnta, a);
        public Assembler Prefetcht0(Operand.Memory a) => CreateInstr(Mnemonic.Prefetcht0, a);
        public Assembler Prefetcht1(Operand.Memory a) => CreateInstr(Mnemonic.Prefetcht1, a);
        public Assembler Prefetcht2(Operand.Memory a) => CreateInstr(Mnemonic.Prefetcht2, a);
        public Assembler Prefetchw(Operand.Memory a) => CreateInstr(Mnemonic.Prefetchw, a);
        public Assembler Prefetchwt1(Operand.Memory a) => CreateInstr(Mnemonic.Prefetchwt1, a);
        public Assembler Push(Operand.Register a) => CreateInstr(Mnemonic.Push, a);
        public Assembler Push(Operand.Memory a) => CreateInstr(Mnemonic.Push, a);
        public Assembler Push(Operand.Immediate a) => CreateInstr(Mnemonic.Push, a);
        public Assembler Pusha() => CreateInstr(Mnemonic.Pusha);
        public Assembler Pushad() => CreateInstr(Mnemonic.Pushad);
        public Assembler Pushf() => CreateInstr(Mnemonic.Pushf);
        public Assembler Pushfd() => CreateInstr(Mnemonic.Pushfd);
        public Assembler Pushfq() => CreateInstr(Mnemonic.Pushfq);
        public Assembler Rcl(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Rcl, a, b);
        public Assembler Rcl(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Rcl, a, b);
        public Assembler Rcr(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Rcr, a, b);
        public Assembler Rcr(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Rcr, a, b);
        public Assembler Rol(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Rol, a, b);
        public Assembler Rol(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Rol, a, b);
        public Assembler Ror(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Ror, a, b);
        public Assembler Ror(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Ror, a, b);
        public Assembler Rsm() => CreateInstr(Mnemonic.Rsm);
        public Assembler Sbb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sbb, a, b);
        public Assembler Sbb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sbb, a, b);
        public Assembler Sbb(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Sbb, a, b);
        public Assembler Sbb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Sbb, a, b);
        public Assembler Sbb(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Sbb, a, b);
        public Assembler Salc(Operand.Register a) => CreateInstr(Mnemonic.Salc, a);
        public Assembler Salc(Operand.Memory a) => CreateInstr(Mnemonic.Salc, a);
        public Assembler Salc(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Salc, a, b);
        public Assembler Salc(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Salc, a, b);
        public Assembler Sar(Operand.Register a) => CreateInstr(Mnemonic.Sar, a);
        public Assembler Sar(Operand.Memory a) => CreateInstr(Mnemonic.Sar, a);
        public Assembler Sar(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Sar, a, b);
        public Assembler Sar(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Sar, a, b);
        public Assembler Sfence() => CreateInstr(Mnemonic.Sfence);
        public Assembler Sgdt(Operand.Memory a) => CreateInstr(Mnemonic.Sgdt, a);
        public Assembler Shl(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Shl, a, b);
        public Assembler Shl(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Shl, a, b);
        public Assembler Shr(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Shr, a, b);
        public Assembler Shr(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Shr, a, b);
        public Assembler Shld(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Shld, a, b);
        public Assembler Shld(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Shld, a, b);
        public Assembler Shld(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Shld, a, b, c);
        public Assembler Shld(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Shld, a, b, c);
        public Assembler Shrd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Shrd, a, b);
        public Assembler Shrd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Shrd, a, b);
        public Assembler Shrd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Shrd, a, b, c);
        public Assembler Shrd(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Shrd, a, b, c);
        public Assembler Sidt(Operand.Memory a) => CreateInstr(Mnemonic.Sidt, a);
        public Assembler Sldt(Operand.Register a) => CreateInstr(Mnemonic.Sldt, a);
        public Assembler Sldt(Operand.Memory a) => CreateInstr(Mnemonic.Sldt, a);
        public Assembler Smsw(Operand.Register a) => CreateInstr(Mnemonic.Smsw, a);
        public Assembler Smsw(Operand.Memory a) => CreateInstr(Mnemonic.Smsw, a);
        public Assembler Stc() => CreateInstr(Mnemonic.Stc);
        public Assembler Std() => CreateInstr(Mnemonic.Std);
        public Assembler Sti() => CreateInstr(Mnemonic.Sti);
        public Assembler Stmxcsr(Operand.Memory a) => CreateInstr(Mnemonic.Stmxcsr, a);
        public Assembler Str(Operand.Register a) => CreateInstr(Mnemonic.Str, a);
        public Assembler Str(Operand.Memory a) => CreateInstr(Mnemonic.Str, a);
        public Assembler Sub(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sub, a, b);
        public Assembler Sub(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sub, a, b);
        public Assembler Sub(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Sub, a, b);
        public Assembler Sub(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Sub, a, b);
        public Assembler Sub(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Sub, a, b);
        public Assembler Swapgs() => CreateInstr(Mnemonic.Swapgs);
        public Assembler Test(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Test, a, b);
        public Assembler Test(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Test, a, b);
        public Assembler Test(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Test, a, b);
        public Assembler Test(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Test, a, b);
        public Assembler Ud2() => CreateInstr(Mnemonic.Ud2);
        public Assembler Verr(Operand.Register a) => CreateInstr(Mnemonic.Verr, a);
        public Assembler Verr(Operand.Memory a) => CreateInstr(Mnemonic.Verr, a);
        public Assembler Verw(Operand.Register a) => CreateInstr(Mnemonic.Verw, a);
        public Assembler Verw(Operand.Memory a) => CreateInstr(Mnemonic.Verw, a);
        public Assembler Xadd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Xadd, a, b);
        public Assembler Xadd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Xadd, a, b);
        public Assembler Xchg(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Xchg, a, b);
        public Assembler Xchg(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Xchg, a, b);
        public Assembler Xchg(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Xchg, a, b);
        public Assembler Xor(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Xor, a, b);
        public Assembler Xor(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Xor, a, b);
        public Assembler Xor(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Xor, a, b);
        public Assembler Xor(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Xor, a, b);
        public Assembler Xor(Operand.Memory a, Operand.Immediate b) => CreateInstr(Mnemonic.Xor, a, b);
        //! \name ADX Instructions
        public Assembler Adcx(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Adcx, a, b);
        public Assembler Adcx(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Adcx, a, b);
        public Assembler Adox(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Adox, a, b);
        public Assembler Adox(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Adox, a, b);
        public Assembler Andn(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Andn, a, b, c);
        public Assembler Andn(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Andn, a, b, c);
        public Assembler Bextr(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Bextr, a, b, c);
        public Assembler Bextr(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Bextr, a, b, c);
        public Assembler Blsi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blsi, a, b);
        public Assembler Blsi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blsi, a, b);
        public Assembler Blsmsk(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blsmsk, a, b);
        public Assembler Blsmsk(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blsmsk, a, b);
        public Assembler Blsr(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blsr, a, b);
        public Assembler Blsr(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blsr, a, b);
        public Assembler Tzcnt(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Tzcnt, a, b);
        public Assembler Tzcnt(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Tzcnt, a, b);
        public Assembler Bzhi(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Bzhi, a, b, c);
        public Assembler Bzhi(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Bzhi, a, b, c);
        public Assembler Pdep(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Pdep, a, b, c);
        public Assembler Pdep(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Pdep, a, b, c);
        public Assembler Pext(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Pext, a, b, c);
        public Assembler Pext(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Pext, a, b, c);
        public Assembler Rorx(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Rorx, a, b, c);
        public Assembler Rorx(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Rorx, a, b, c);
        public Assembler Sarx(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Sarx, a, b, c);
        public Assembler Sarx(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Sarx, a, b, c);
        public Assembler Shlx(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Shlx, a, b, c);
        public Assembler Shlx(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Shlx, a, b, c);
        public Assembler Shrx(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Shrx, a, b, c);
        public Assembler Shrx(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Shrx, a, b, c);
        public Assembler Cldemote(Operand.Memory a) => CreateInstr(Mnemonic.Cldemote, a);
        public Assembler Clflush(Operand.Memory a) => CreateInstr(Mnemonic.Clflush, a);
        public Assembler Clflushopt(Operand.Memory a) => CreateInstr(Mnemonic.Clflushopt, a);
        public Assembler Clwb(Operand.Memory a) => CreateInstr(Mnemonic.Clwb, a);
        public Assembler Crc32(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Crc32, a, b);
        public Assembler Crc32(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Crc32, a, b);
        public Assembler Enqcmd(Operand.Memory a, Operand.Memory b) => CreateInstr(Mnemonic.Enqcmd, a, b);
        public Assembler Enqcmds(Operand.Memory a, Operand.Memory b) => CreateInstr(Mnemonic.Enqcmds, a, b);
        public Assembler Rdfsbase(Operand.Register a) => CreateInstr(Mnemonic.Rdfsbase, a);
        public Assembler Rdgsbase(Operand.Register a) => CreateInstr(Mnemonic.Rdgsbase, a);
        public Assembler Wrfsbase(Operand.Register a) => CreateInstr(Mnemonic.Wrfsbase, a);
        public Assembler Wrgsbase(Operand.Register a) => CreateInstr(Mnemonic.Wrgsbase, a);
        public Assembler Fxrstor(Operand.Memory a) => CreateInstr(Mnemonic.Fxrstor, a);
        public Assembler Fxrstor64(Operand.Memory a) => CreateInstr(Mnemonic.Fxrstor64, a);
        public Assembler Fxsave(Operand.Memory a) => CreateInstr(Mnemonic.Fxsave, a);
        public Assembler Fxsave64(Operand.Memory a) => CreateInstr(Mnemonic.Fxsave64, a);
        public Assembler Llwpcb(Operand.Register a) => CreateInstr(Mnemonic.Llwpcb, a);
        public Assembler Lwpins(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Lwpins, a, b, c);
        public Assembler Lwpins(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Lwpins, a, b, c);
        public Assembler Lwpval(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Lwpval, a, b, c);
        public Assembler Lwpval(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Lwpval, a, b, c);
        public Assembler Slwpcb(Operand.Register a) => CreateInstr(Mnemonic.Slwpcb, a);
        public Assembler Lzcnt(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Lzcnt, a, b);
        public Assembler Lzcnt(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lzcnt, a, b);
        public Assembler Movbe(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movbe, a, b);
        public Assembler Movbe(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movbe, a, b);
        public Assembler Movdiri(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movdiri, a, b);
        public Assembler Movdir64b(Operand.Memory a, Operand.Memory b) => CreateInstr(Mnemonic.Movdir64b, a, b);
        public Assembler Bndcl(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bndcl, a, b);
        public Assembler Bndcl(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bndcl, a, b);
        public Assembler Bndcn(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bndcn, a, b);
        public Assembler Bndcn(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bndcn, a, b);
        public Assembler Bndcu(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bndcu, a, b);
        public Assembler Bndcu(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bndcu, a, b);
        public Assembler Bndldx(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bndldx, a, b);
        public Assembler Bndmk(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bndmk, a, b);
        public Assembler Bndmov(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Bndmov, a, b);
        public Assembler Bndmov(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Bndmov, a, b);
        public Assembler Bndmov(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Bndmov, a, b);
        public Assembler Bndstx(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Bndstx, a, b);
        public Assembler Popcnt(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Popcnt, a, b);
        public Assembler Popcnt(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Popcnt, a, b);
        public Assembler Rdrand(Operand.Register a) => CreateInstr(Mnemonic.Rdrand, a);
        public Assembler Rdseed(Operand.Register a) => CreateInstr(Mnemonic.Rdseed, a);
        public Assembler Xabort() => CreateInstr(Mnemonic.Xabort);
        public Assembler Xbegin(Operand.Immediate a) => CreateInstr(Mnemonic.Xbegin, a);
        public Assembler Xend() => CreateInstr(Mnemonic.Xend);
        public Assembler Xtest() => CreateInstr(Mnemonic.Xtest);
        public Assembler Clac() => CreateInstr(Mnemonic.Clac);
        public Assembler Stac() => CreateInstr(Mnemonic.Stac);
        public Assembler Clgi() => CreateInstr(Mnemonic.Clgi);
        public Assembler Stgi() => CreateInstr(Mnemonic.Stgi);
        public Assembler Vmmcall() => CreateInstr(Mnemonic.Vmmcall);
        public Assembler Blcfill(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blcfill, a, b);
        public Assembler Blcfill(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blcfill, a, b);
        public Assembler Blci(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blci, a, b);
        public Assembler Blci(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blci, a, b);
        public Assembler Blcic(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blcic, a, b);
        public Assembler Blcic(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blcic, a, b);
        public Assembler Blcmsk(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blcmsk, a, b);
        public Assembler Blcmsk(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blcmsk, a, b);
        public Assembler Blcs(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blcs, a, b);
        public Assembler Blcs(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blcs, a, b);
        public Assembler Blsfill(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blsfill, a, b);
        public Assembler Blsfill(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blsfill, a, b);
        public Assembler Blsic(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blsic, a, b);
        public Assembler Blsic(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blsic, a, b);
        public Assembler T1mskc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.T1mskc, a, b);
        public Assembler T1mskc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.T1mskc, a, b);
        public Assembler Tzmsk(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Tzmsk, a, b);
        public Assembler Tzmsk(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Tzmsk, a, b);
        public Assembler Invept(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Invept, a, b);
        public Assembler Invvpid(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Invvpid, a, b);
        public Assembler Vmcall() => CreateInstr(Mnemonic.Vmcall);
        public Assembler Vmclear(Operand.Memory a) => CreateInstr(Mnemonic.Vmclear, a);
        public Assembler Vmfunc() => CreateInstr(Mnemonic.Vmfunc);
        public Assembler Vmlaunch() => CreateInstr(Mnemonic.Vmlaunch);
        public Assembler Vmptrld(Operand.Memory a) => CreateInstr(Mnemonic.Vmptrld, a);
        public Assembler Vmptrst(Operand.Memory a) => CreateInstr(Mnemonic.Vmptrst, a);
        public Assembler Vmread(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmread, a, b);
        public Assembler Vmresume() => CreateInstr(Mnemonic.Vmresume);
        public Assembler Vmwrite(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmwrite, a, b);
        public Assembler Vmxon(Operand.Memory a) => CreateInstr(Mnemonic.Vmxon, a);
        public Assembler Getsec() => CreateInstr(Mnemonic.Getsec);
        public Assembler Rdpid(Operand.Register a) => CreateInstr(Mnemonic.Rdpid, a);
        public Assembler F2xm1() => CreateInstr(Mnemonic.F2xm1);
        public Assembler Fabs() => CreateInstr(Mnemonic.Fabs);
        public Assembler Fadd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Fadd, a, b);
        public Assembler Fadd(Operand.Memory a) => CreateInstr(Mnemonic.Fadd, a);
        public Assembler Faddp(Operand.Register a) => CreateInstr(Mnemonic.Faddp, a);
        public Assembler Faddp() => CreateInstr(Mnemonic.Faddp);
        public Assembler Fbld(Operand.Memory a) => CreateInstr(Mnemonic.Fbld, a);
        public Assembler Fbstp(Operand.Memory a) => CreateInstr(Mnemonic.Fbstp, a);
        public Assembler Fchs() => CreateInstr(Mnemonic.Fchs);
        public Assembler Fcmovb(Operand.Register a) => CreateInstr(Mnemonic.Fcmovb, a);
        public Assembler Fcmovbe(Operand.Register a) => CreateInstr(Mnemonic.Fcmovbe, a);
        public Assembler Fcmove(Operand.Register a) => CreateInstr(Mnemonic.Fcmove, a);
        public Assembler Fcmovnb(Operand.Register a) => CreateInstr(Mnemonic.Fcmovnb, a);
        public Assembler Fcmovnbe(Operand.Register a) => CreateInstr(Mnemonic.Fcmovnbe, a);
        public Assembler Fcmovne(Operand.Register a) => CreateInstr(Mnemonic.Fcmovne, a);
        public Assembler Fcmovnu(Operand.Register a) => CreateInstr(Mnemonic.Fcmovnu, a);
        public Assembler Fcmovu(Operand.Register a) => CreateInstr(Mnemonic.Fcmovu, a);
        public Assembler Fcom(Operand.Register a) => CreateInstr(Mnemonic.Fcom, a);
        public Assembler Fcom() => CreateInstr(Mnemonic.Fcom);
        public Assembler Fcom(Operand.Memory a) => CreateInstr(Mnemonic.Fcom, a);
        public Assembler Fcomp(Operand.Register a) => CreateInstr(Mnemonic.Fcomp, a);
        public Assembler Fcomp() => CreateInstr(Mnemonic.Fcomp);
        public Assembler Fcomp(Operand.Memory a) => CreateInstr(Mnemonic.Fcomp, a);
        public Assembler Fcompp() => CreateInstr(Mnemonic.Fcompp);
        public Assembler Fcomi(Operand.Register a) => CreateInstr(Mnemonic.Fcomi, a);
        public Assembler Fcomip(Operand.Register a) => CreateInstr(Mnemonic.Fcomip, a);
        public Assembler Fcos() => CreateInstr(Mnemonic.Fcos);
        public Assembler Fdecstp() => CreateInstr(Mnemonic.Fdecstp);
        public Assembler Fdiv(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Fdiv, a, b);
        public Assembler Fdiv(Operand.Memory a) => CreateInstr(Mnemonic.Fdiv, a);
        public Assembler Fdivp(Operand.Register a) => CreateInstr(Mnemonic.Fdivp, a);
        public Assembler Fdivp() => CreateInstr(Mnemonic.Fdivp);
        public Assembler Fdivr(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Fdivr, a, b);
        public Assembler Fdivr(Operand.Memory a) => CreateInstr(Mnemonic.Fdivr, a);
        public Assembler Fdivrp(Operand.Register a) => CreateInstr(Mnemonic.Fdivrp, a);
        public Assembler Fdivrp() => CreateInstr(Mnemonic.Fdivrp);
        public Assembler Ffree(Operand.Register a) => CreateInstr(Mnemonic.Ffree, a);
        public Assembler Fiadd(Operand.Memory a) => CreateInstr(Mnemonic.Fiadd, a);
        public Assembler Ficom(Operand.Memory a) => CreateInstr(Mnemonic.Ficom, a);
        public Assembler Ficomp(Operand.Memory a) => CreateInstr(Mnemonic.Ficomp, a);
        public Assembler Fidiv(Operand.Memory a) => CreateInstr(Mnemonic.Fidiv, a);
        public Assembler Fidivr(Operand.Memory a) => CreateInstr(Mnemonic.Fidivr, a);
        public Assembler Fild(Operand.Memory a) => CreateInstr(Mnemonic.Fild, a);
        public Assembler Fimul(Operand.Memory a) => CreateInstr(Mnemonic.Fimul, a);
        public Assembler Fincstp() => CreateInstr(Mnemonic.Fincstp);
        public Assembler Fisub(Operand.Memory a) => CreateInstr(Mnemonic.Fisub, a);
        public Assembler Fisubr(Operand.Memory a) => CreateInstr(Mnemonic.Fisubr, a);
        public Assembler Fninit() => CreateInstr(Mnemonic.Fninit);
        public Assembler Fist(Operand.Memory a) => CreateInstr(Mnemonic.Fist, a);
        public Assembler Fistp(Operand.Memory a) => CreateInstr(Mnemonic.Fistp, a);
        public Assembler Fisttp(Operand.Memory a) => CreateInstr(Mnemonic.Fisttp, a);
        public Assembler Fld(Operand.Memory a) => CreateInstr(Mnemonic.Fld, a);
        public Assembler Fld(Operand.Register a) => CreateInstr(Mnemonic.Fld, a);
        public Assembler Fld1() => CreateInstr(Mnemonic.Fld1);
        public Assembler Fldl2t() => CreateInstr(Mnemonic.Fldl2t);
        public Assembler Fldl2e() => CreateInstr(Mnemonic.Fldl2e);
        public Assembler Fldpi() => CreateInstr(Mnemonic.Fldpi);
        public Assembler Fldlg2() => CreateInstr(Mnemonic.Fldlg2);
        public Assembler Fldln2() => CreateInstr(Mnemonic.Fldln2);
        public Assembler Fldz() => CreateInstr(Mnemonic.Fldz);
        public Assembler Fldcw(Operand.Memory a) => CreateInstr(Mnemonic.Fldcw, a);
        public Assembler Fldenv(Operand.Memory a) => CreateInstr(Mnemonic.Fldenv, a);
        public Assembler Fmul(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Fmul, a, b);
        public Assembler Fmul(Operand.Memory a) => CreateInstr(Mnemonic.Fmul, a);
        public Assembler Fmulp(Operand.Register a) => CreateInstr(Mnemonic.Fmulp, a);
        public Assembler Fmulp() => CreateInstr(Mnemonic.Fmulp);
        public Assembler Fnclex() => CreateInstr(Mnemonic.Fnclex);
        public Assembler Fnop() => CreateInstr(Mnemonic.Fnop);
        public Assembler Fnsave(Operand.Memory a) => CreateInstr(Mnemonic.Fnsave, a);
        public Assembler Fnstenv(Operand.Memory a) => CreateInstr(Mnemonic.Fnstenv, a);
        public Assembler Fnstcw(Operand.Memory a) => CreateInstr(Mnemonic.Fnstcw, a);
        public Assembler Fpatan() => CreateInstr(Mnemonic.Fpatan);
        public Assembler Fprem() => CreateInstr(Mnemonic.Fprem);
        public Assembler Fprem1() => CreateInstr(Mnemonic.Fprem1);
        public Assembler Fptan() => CreateInstr(Mnemonic.Fptan);
        public Assembler Frndint() => CreateInstr(Mnemonic.Frndint);
        public Assembler Frstor(Operand.Memory a) => CreateInstr(Mnemonic.Frstor, a);
        public Assembler Fscale() => CreateInstr(Mnemonic.Fscale);
        public Assembler Fsin() => CreateInstr(Mnemonic.Fsin);
        public Assembler Fsincos() => CreateInstr(Mnemonic.Fsincos);
        public Assembler Fsqrt() => CreateInstr(Mnemonic.Fsqrt);
        public Assembler Fst(Operand.Memory a) => CreateInstr(Mnemonic.Fst, a);
        public Assembler Fst(Operand.Register a) => CreateInstr(Mnemonic.Fst, a);
        public Assembler Fstp(Operand.Memory a) => CreateInstr(Mnemonic.Fstp, a);
        public Assembler Fstp(Operand.Register a) => CreateInstr(Mnemonic.Fstp, a);
        public Assembler Fsub(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Fsub, a, b);
        public Assembler Fsub(Operand.Memory a) => CreateInstr(Mnemonic.Fsub, a);
        public Assembler Fsubp(Operand.Register a) => CreateInstr(Mnemonic.Fsubp, a);
        public Assembler Fsubp() => CreateInstr(Mnemonic.Fsubp);
        public Assembler Fsubr(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Fsubr, a, b);
        public Assembler Fsubr(Operand.Memory a) => CreateInstr(Mnemonic.Fsubr, a);
        public Assembler Fsubrp(Operand.Register a) => CreateInstr(Mnemonic.Fsubrp, a);
        public Assembler Fsubrp() => CreateInstr(Mnemonic.Fsubrp);
        public Assembler Ftst() => CreateInstr(Mnemonic.Ftst);
        public Assembler Fucom(Operand.Register a) => CreateInstr(Mnemonic.Fucom, a);
        public Assembler Fucom() => CreateInstr(Mnemonic.Fucom);
        public Assembler Fucomi(Operand.Register a) => CreateInstr(Mnemonic.Fucomi, a);
        public Assembler Fucomip(Operand.Register a) => CreateInstr(Mnemonic.Fucomip, a);
        public Assembler Fucomp(Operand.Register a) => CreateInstr(Mnemonic.Fucomp, a);
        public Assembler Fucomp() => CreateInstr(Mnemonic.Fucomp);
        public Assembler Fucompp() => CreateInstr(Mnemonic.Fucompp);
        public Assembler Fwait() => CreateInstr(Mnemonic.Fwait);
        public Assembler Fxam() => CreateInstr(Mnemonic.Fxam);
        public Assembler Fxch(Operand.Register a) => CreateInstr(Mnemonic.Fxch, a);
        public Assembler Fxtract() => CreateInstr(Mnemonic.Fxtract);
        public Assembler Fyl2x() => CreateInstr(Mnemonic.Fyl2x);
        public Assembler Fyl2xp1() => CreateInstr(Mnemonic.Fyl2xp1);
        public Assembler Fnstsw(Operand.Register a) => CreateInstr(Mnemonic.Fnstsw, a);
        public Assembler Fnstsw(Operand.Memory a) => CreateInstr(Mnemonic.Fnstsw, a);
        public Assembler Addpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Addpd, a, b);
        public Assembler Addpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Addpd, a, b);
        public Assembler Addps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Addps, a, b);
        public Assembler Addps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Addps, a, b);
        public Assembler Addsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Addsd, a, b);
        public Assembler Addsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Addsd, a, b);
        public Assembler Addss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Addss, a, b);
        public Assembler Addss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Addss, a, b);
        public Assembler Addsubpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Addsubpd, a, b);
        public Assembler Addsubpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Addsubpd, a, b);
        public Assembler Addsubps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Addsubps, a, b);
        public Assembler Addsubps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Addsubps, a, b);
        public Assembler Andnpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Andnpd, a, b);
        public Assembler Andnpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Andnpd, a, b);
        public Assembler Andnps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Andnps, a, b);
        public Assembler Andnps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Andnps, a, b);
        public Assembler Andpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Andpd, a, b);
        public Assembler Andpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Andpd, a, b);
        public Assembler Andps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Andps, a, b);
        public Assembler Andps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Andps, a, b);
        public Assembler Blendpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Blendpd, a, b, c);
        public Assembler Blendpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Blendpd, a, b, c);
        public Assembler Blendps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Blendps, a, b, c);
        public Assembler Blendps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Blendps, a, b, c);
        public Assembler Cmppd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmppd, a, b, c);
        public Assembler Cmppd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmppd, a, b, c);
        public Assembler Cmpps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmpps, a, b, c);
        public Assembler Cmpps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmpps, a, b, c);
        public Assembler Cmpsd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmpsd, a, b, c);
        public Assembler Cmpsd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmpsd, a, b, c);
        public Assembler Cmpss(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmpss, a, b, c);
        public Assembler Cmpss(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Cmpss, a, b, c);
        public Assembler Comisd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Comisd, a, b);
        public Assembler Comisd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Comisd, a, b);
        public Assembler Comiss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Comiss, a, b);
        public Assembler Comiss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Comiss, a, b);
        public Assembler Cvtdq2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtdq2pd, a, b);
        public Assembler Cvtdq2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtdq2pd, a, b);
        public Assembler Cvtdq2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtdq2ps, a, b);
        public Assembler Cvtdq2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtdq2ps, a, b);
        public Assembler Cvtpd2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtpd2dq, a, b);
        public Assembler Cvtpd2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtpd2dq, a, b);
        public Assembler Cvtpd2pi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtpd2pi, a, b);
        public Assembler Cvtpd2pi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtpd2pi, a, b);
        public Assembler Cvtpd2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtpd2ps, a, b);
        public Assembler Cvtpd2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtpd2ps, a, b);
        public Assembler Cvtpi2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtpi2pd, a, b);
        public Assembler Cvtpi2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtpi2pd, a, b);
        public Assembler Cvtpi2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtpi2ps, a, b);
        public Assembler Cvtpi2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtpi2ps, a, b);
        public Assembler Cvtps2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtps2dq, a, b);
        public Assembler Cvtps2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtps2dq, a, b);
        public Assembler Cvtps2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtps2pd, a, b);
        public Assembler Cvtps2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtps2pd, a, b);
        public Assembler Cvtps2pi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtps2pi, a, b);
        public Assembler Cvtps2pi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtps2pi, a, b);
        public Assembler Cvtsd2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtsd2si, a, b);
        public Assembler Cvtsd2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtsd2si, a, b);
        public Assembler Cvtsd2ss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtsd2ss, a, b);
        public Assembler Cvtsd2ss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtsd2ss, a, b);
        public Assembler Cvtsi2sd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtsi2sd, a, b);
        public Assembler Cvtsi2sd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtsi2sd, a, b);
        public Assembler Cvtsi2ss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtsi2ss, a, b);
        public Assembler Cvtsi2ss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtsi2ss, a, b);
        public Assembler Cvtss2sd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtss2sd, a, b);
        public Assembler Cvtss2sd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtss2sd, a, b);
        public Assembler Cvtss2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvtss2si, a, b);
        public Assembler Cvtss2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvtss2si, a, b);
        public Assembler Cvttpd2pi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvttpd2pi, a, b);
        public Assembler Cvttpd2pi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvttpd2pi, a, b);
        public Assembler Cvttpd2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvttpd2dq, a, b);
        public Assembler Cvttpd2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvttpd2dq, a, b);
        public Assembler Cvttps2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvttps2dq, a, b);
        public Assembler Cvttps2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvttps2dq, a, b);
        public Assembler Cvttps2pi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvttps2pi, a, b);
        public Assembler Cvttps2pi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvttps2pi, a, b);
        public Assembler Cvttsd2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvttsd2si, a, b);
        public Assembler Cvttsd2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvttsd2si, a, b);
        public Assembler Cvttss2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cvttss2si, a, b);
        public Assembler Cvttss2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Cvttss2si, a, b);
        public Assembler Divpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Divpd, a, b);
        public Assembler Divpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Divpd, a, b);
        public Assembler Divps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Divps, a, b);
        public Assembler Divps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Divps, a, b);
        public Assembler Divsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Divsd, a, b);
        public Assembler Divsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Divsd, a, b);
        public Assembler Divss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Divss, a, b);
        public Assembler Divss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Divss, a, b);
        public Assembler Dppd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Dppd, a, b, c);
        public Assembler Dppd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Dppd, a, b, c);
        public Assembler Dpps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Dpps, a, b, c);
        public Assembler Dpps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Dpps, a, b, c);
        public Assembler Extractps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Extractps, a, b, c);
        public Assembler Extractps(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Extractps, a, b, c);
        public Assembler Extrq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Extrq, a, b);
        public Assembler Gf2p8affineinvqb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Gf2p8affineinvqb, a, b, c);
        public Assembler Gf2p8affineinvqb(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Gf2p8affineinvqb, a, b, c);
        public Assembler Gf2p8affineqb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Gf2p8affineqb, a, b, c);
        public Assembler Gf2p8affineqb(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Gf2p8affineqb, a, b, c);
        public Assembler Gf2p8mulb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Gf2p8mulb, a, b);
        public Assembler Gf2p8mulb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Gf2p8mulb, a, b);
        public Assembler Haddpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Haddpd, a, b);
        public Assembler Haddpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Haddpd, a, b);
        public Assembler Haddps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Haddps, a, b);
        public Assembler Haddps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Haddps, a, b);
        public Assembler Hsubpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Hsubpd, a, b);
        public Assembler Hsubpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Hsubpd, a, b);
        public Assembler Hsubps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Hsubps, a, b);
        public Assembler Hsubps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Hsubps, a, b);
        public Assembler Insertps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Insertps, a, b, c);
        public Assembler Insertps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Insertps, a, b, c);
        public Assembler Insertq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Insertq, a, b);
        public Assembler Lddqu(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Lddqu, a, b);
        public Assembler Maxpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Maxpd, a, b);
        public Assembler Maxpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Maxpd, a, b);
        public Assembler Maxps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Maxps, a, b);
        public Assembler Maxps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Maxps, a, b);
        public Assembler Maxsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Maxsd, a, b);
        public Assembler Maxsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Maxsd, a, b);
        public Assembler Maxss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Maxss, a, b);
        public Assembler Maxss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Maxss, a, b);
        public Assembler Minpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Minpd, a, b);
        public Assembler Minpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Minpd, a, b);
        public Assembler Minps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Minps, a, b);
        public Assembler Minps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Minps, a, b);
        public Assembler Minsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Minsd, a, b);
        public Assembler Minsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Minsd, a, b);
        public Assembler Minss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Minss, a, b);
        public Assembler Minss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Minss, a, b);
        public Assembler Movapd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movapd, a, b);
        public Assembler Movapd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movapd, a, b);
        public Assembler Movapd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movapd, a, b);
        public Assembler Movaps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movaps, a, b);
        public Assembler Movaps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movaps, a, b);
        public Assembler Movaps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movaps, a, b);
        public Assembler Movd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movd, a, b);
        public Assembler Movd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movd, a, b);
        public Assembler Movd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movd, a, b);
        public Assembler Movddup(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movddup, a, b);
        public Assembler Movddup(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movddup, a, b);
        public Assembler Movdq2q(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movdq2q, a, b);
        public Assembler Movdqa(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movdqa, a, b);
        public Assembler Movdqa(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movdqa, a, b);
        public Assembler Movdqa(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movdqa, a, b);
        public Assembler Movdqu(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movdqu, a, b);
        public Assembler Movdqu(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movdqu, a, b);
        public Assembler Movdqu(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movdqu, a, b);
        public Assembler Movhlps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movhlps, a, b);
        public Assembler Movhpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movhpd, a, b);
        public Assembler Movhpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movhpd, a, b);
        public Assembler Movhps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movhps, a, b);
        public Assembler Movhps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movhps, a, b);
        public Assembler Movlhps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movlhps, a, b);
        public Assembler Movlpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movlpd, a, b);
        public Assembler Movlpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movlpd, a, b);
        public Assembler Movlps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movlps, a, b);
        public Assembler Movlps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movlps, a, b);
        public Assembler Movmskps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movmskps, a, b);
        public Assembler Movmskpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movmskpd, a, b);
        public Assembler Movntdq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movntdq, a, b);
        public Assembler Movntdqa(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movntdqa, a, b);
        public Assembler Movntpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movntpd, a, b);
        public Assembler Movntps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movntps, a, b);
        public Assembler Movntsd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movntsd, a, b);
        public Assembler Movntss(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movntss, a, b);
        public Assembler Movntq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movntq, a, b);
        public Assembler Movq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movq, a, b);
        public Assembler Movq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movq, a, b);
        public Assembler Movq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movq, a, b);
        public Assembler Movq2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movq2dq, a, b);
        public Assembler Movsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movsd, a, b);
        public Assembler Movsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movsd, a, b);
        public Assembler Movsd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movsd, a, b);
        public Assembler Movshdup(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movshdup, a, b);
        public Assembler Movshdup(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movshdup, a, b);
        public Assembler Movsldup(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movsldup, a, b);
        public Assembler Movsldup(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movsldup, a, b);
        public Assembler Movss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movss, a, b);
        public Assembler Movss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movss, a, b);
        public Assembler Movss(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movss, a, b);
        public Assembler Movupd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movupd, a, b);
        public Assembler Movupd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movupd, a, b);
        public Assembler Movupd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movupd, a, b);
        public Assembler Movups(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Movups, a, b);
        public Assembler Movups(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Movups, a, b);
        public Assembler Movups(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Movups, a, b);
        public Assembler Mpsadbw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Mpsadbw, a, b, c);
        public Assembler Mpsadbw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Mpsadbw, a, b, c);
        public Assembler Mulpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Mulpd, a, b);
        public Assembler Mulpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Mulpd, a, b);
        public Assembler Mulps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Mulps, a, b);
        public Assembler Mulps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Mulps, a, b);
        public Assembler Mulsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Mulsd, a, b);
        public Assembler Mulsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Mulsd, a, b);
        public Assembler Mulss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Mulss, a, b);
        public Assembler Mulss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Mulss, a, b);
        public Assembler Orpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Orpd, a, b);
        public Assembler Orpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Orpd, a, b);
        public Assembler Orps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Orps, a, b);
        public Assembler Orps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Orps, a, b);
        public Assembler Packssdw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Packssdw, a, b);
        public Assembler Packssdw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Packssdw, a, b);
        public Assembler Packsswb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Packsswb, a, b);
        public Assembler Packsswb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Packsswb, a, b);
        public Assembler Packusdw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Packusdw, a, b);
        public Assembler Packusdw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Packusdw, a, b);
        public Assembler Packuswb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Packuswb, a, b);
        public Assembler Packuswb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Packuswb, a, b);
        public Assembler Pabsb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pabsb, a, b);
        public Assembler Pabsb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pabsb, a, b);
        public Assembler Pabsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pabsd, a, b);
        public Assembler Pabsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pabsd, a, b);
        public Assembler Pabsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pabsw, a, b);
        public Assembler Pabsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pabsw, a, b);
        public Assembler Paddb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddb, a, b);
        public Assembler Paddb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddb, a, b);
        public Assembler Paddd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddd, a, b);
        public Assembler Paddd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddd, a, b);
        public Assembler Paddq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddq, a, b);
        public Assembler Paddq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddq, a, b);
        public Assembler Paddsb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddsb, a, b);
        public Assembler Paddsb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddsb, a, b);
        public Assembler Paddsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddsw, a, b);
        public Assembler Paddsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddsw, a, b);
        public Assembler Paddusb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddusb, a, b);
        public Assembler Paddusb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddusb, a, b);
        public Assembler Paddusw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddusw, a, b);
        public Assembler Paddusw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddusw, a, b);
        public Assembler Paddw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Paddw, a, b);
        public Assembler Paddw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Paddw, a, b);
        public Assembler Palignr(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Palignr, a, b, c);
        public Assembler Palignr(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Palignr, a, b, c);
        public Assembler Pand(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pand, a, b);
        public Assembler Pand(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pand, a, b);
        public Assembler Pandn(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pandn, a, b);
        public Assembler Pandn(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pandn, a, b);
        public Assembler Pavgb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pavgb, a, b);
        public Assembler Pavgb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pavgb, a, b);
        public Assembler Pavgw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pavgw, a, b);
        public Assembler Pavgw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pavgw, a, b);
        public Assembler Pblendw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pblendw, a, b, c);
        public Assembler Pblendw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pblendw, a, b, c);
        public Assembler Pclmulqdq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pclmulqdq, a, b, c);
        public Assembler Pclmulqdq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pclmulqdq, a, b, c);
        public Assembler Pcmpeqb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpeqb, a, b);
        public Assembler Pcmpeqb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpeqb, a, b);
        public Assembler Pcmpeqd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpeqd, a, b);
        public Assembler Pcmpeqd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpeqd, a, b);
        public Assembler Pcmpeqq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpeqq, a, b);
        public Assembler Pcmpeqq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpeqq, a, b);
        public Assembler Pcmpeqw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpeqw, a, b);
        public Assembler Pcmpeqw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpeqw, a, b);
        public Assembler Pcmpgtb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpgtb, a, b);
        public Assembler Pcmpgtb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpgtb, a, b);
        public Assembler Pcmpgtd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpgtd, a, b);
        public Assembler Pcmpgtd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpgtd, a, b);
        public Assembler Pcmpgtq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpgtq, a, b);
        public Assembler Pcmpgtq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpgtq, a, b);
        public Assembler Pcmpgtw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pcmpgtw, a, b);
        public Assembler Pcmpgtw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pcmpgtw, a, b);
        public Assembler Pextrb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrb, a, b, c);
        public Assembler Pextrb(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrb, a, b, c);
        public Assembler Pextrd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrd, a, b, c);
        public Assembler Pextrd(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrd, a, b, c);
        public Assembler Pextrq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrq, a, b, c);
        public Assembler Pextrq(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrq, a, b, c);
        public Assembler Pextrw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrw, a, b, c);
        public Assembler Pextrw(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pextrw, a, b, c);
        public Assembler Phaddd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phaddd, a, b);
        public Assembler Phaddd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phaddd, a, b);
        public Assembler Phaddsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phaddsw, a, b);
        public Assembler Phaddsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phaddsw, a, b);
        public Assembler Phaddw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phaddw, a, b);
        public Assembler Phaddw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phaddw, a, b);
        public Assembler Phminposuw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phminposuw, a, b);
        public Assembler Phminposuw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phminposuw, a, b);
        public Assembler Phsubd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phsubd, a, b);
        public Assembler Phsubd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phsubd, a, b);
        public Assembler Phsubsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phsubsw, a, b);
        public Assembler Phsubsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phsubsw, a, b);
        public Assembler Phsubw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Phsubw, a, b);
        public Assembler Phsubw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Phsubw, a, b);
        public Assembler Pinsrb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrb, a, b, c);
        public Assembler Pinsrb(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrb, a, b, c);
        public Assembler Pinsrd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrd, a, b, c);
        public Assembler Pinsrd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrd, a, b, c);
        public Assembler Pinsrq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrq, a, b, c);
        public Assembler Pinsrq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrq, a, b, c);
        public Assembler Pinsrw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrw, a, b, c);
        public Assembler Pinsrw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pinsrw, a, b, c);
        public Assembler Pmaddubsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaddubsw, a, b);
        public Assembler Pmaddubsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaddubsw, a, b);
        public Assembler Pmaddwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaddwd, a, b);
        public Assembler Pmaddwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaddwd, a, b);
        public Assembler Pmaxsb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaxsb, a, b);
        public Assembler Pmaxsb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaxsb, a, b);
        public Assembler Pmaxsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaxsd, a, b);
        public Assembler Pmaxsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaxsd, a, b);
        public Assembler Pmaxsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaxsw, a, b);
        public Assembler Pmaxsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaxsw, a, b);
        public Assembler Pmaxub(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaxub, a, b);
        public Assembler Pmaxub(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaxub, a, b);
        public Assembler Pmaxud(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaxud, a, b);
        public Assembler Pmaxud(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaxud, a, b);
        public Assembler Pmaxuw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmaxuw, a, b);
        public Assembler Pmaxuw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmaxuw, a, b);
        public Assembler Pminsb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pminsb, a, b);
        public Assembler Pminsb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pminsb, a, b);
        public Assembler Pminsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pminsd, a, b);
        public Assembler Pminsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pminsd, a, b);
        public Assembler Pminsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pminsw, a, b);
        public Assembler Pminsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pminsw, a, b);
        public Assembler Pminub(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pminub, a, b);
        public Assembler Pminub(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pminub, a, b);
        public Assembler Pminud(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pminud, a, b);
        public Assembler Pminud(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pminud, a, b);
        public Assembler Pminuw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pminuw, a, b);
        public Assembler Pminuw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pminuw, a, b);
        public Assembler Pmovmskb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovmskb, a, b);
        public Assembler Pmovsxbd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovsxbd, a, b);
        public Assembler Pmovsxbd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovsxbd, a, b);
        public Assembler Pmovsxbq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovsxbq, a, b);
        public Assembler Pmovsxbq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovsxbq, a, b);
        public Assembler Pmovsxbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovsxbw, a, b);
        public Assembler Pmovsxbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovsxbw, a, b);
        public Assembler Pmovsxdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovsxdq, a, b);
        public Assembler Pmovsxdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovsxdq, a, b);
        public Assembler Pmovsxwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovsxwd, a, b);
        public Assembler Pmovsxwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovsxwd, a, b);
        public Assembler Pmovsxwq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovsxwq, a, b);
        public Assembler Pmovsxwq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovsxwq, a, b);
        public Assembler Pmovzxbd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovzxbd, a, b);
        public Assembler Pmovzxbd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovzxbd, a, b);
        public Assembler Pmovzxbq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovzxbq, a, b);
        public Assembler Pmovzxbq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovzxbq, a, b);
        public Assembler Pmovzxbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovzxbw, a, b);
        public Assembler Pmovzxbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovzxbw, a, b);
        public Assembler Pmovzxdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovzxdq, a, b);
        public Assembler Pmovzxdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovzxdq, a, b);
        public Assembler Pmovzxwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovzxwd, a, b);
        public Assembler Pmovzxwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovzxwd, a, b);
        public Assembler Pmovzxwq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmovzxwq, a, b);
        public Assembler Pmovzxwq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmovzxwq, a, b);
        public Assembler Pmuldq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmuldq, a, b);
        public Assembler Pmuldq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmuldq, a, b);
        public Assembler Pmulhrsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmulhrsw, a, b);
        public Assembler Pmulhrsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmulhrsw, a, b);
        public Assembler Pmulhw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmulhw, a, b);
        public Assembler Pmulhw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmulhw, a, b);
        public Assembler Pmulhuw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmulhuw, a, b);
        public Assembler Pmulhuw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmulhuw, a, b);
        public Assembler Pmulld(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmulld, a, b);
        public Assembler Pmulld(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmulld, a, b);
        public Assembler Pmullw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmullw, a, b);
        public Assembler Pmullw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmullw, a, b);
        public Assembler Pmuludq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmuludq, a, b);
        public Assembler Pmuludq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmuludq, a, b);
        public Assembler Por(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Por, a, b);
        public Assembler Por(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Por, a, b);
        public Assembler Psadbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psadbw, a, b);
        public Assembler Psadbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psadbw, a, b);
        public Assembler Pslld(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pslld, a, b);
        public Assembler Pslld(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pslld, a, b);
        public Assembler Pslld(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Pslld, a, b);
        public Assembler Pslldq(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Pslldq, a, b);
        public Assembler Psllq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psllq, a, b);
        public Assembler Psllq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psllq, a, b);
        public Assembler Psllq(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psllq, a, b);
        public Assembler Psllw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psllw, a, b);
        public Assembler Psllw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psllw, a, b);
        public Assembler Psllw(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psllw, a, b);
        public Assembler Psrad(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psrad, a, b);
        public Assembler Psrad(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psrad, a, b);
        public Assembler Psrad(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psrad, a, b);
        public Assembler Psraw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psraw, a, b);
        public Assembler Psraw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psraw, a, b);
        public Assembler Psraw(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psraw, a, b);
        public Assembler Pshufb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pshufb, a, b);
        public Assembler Pshufb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pshufb, a, b);
        public Assembler Pshufd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshufd, a, b, c);
        public Assembler Pshufd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshufd, a, b, c);
        public Assembler Pshufhw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshufhw, a, b, c);
        public Assembler Pshufhw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshufhw, a, b, c);
        public Assembler Pshuflw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshuflw, a, b, c);
        public Assembler Pshuflw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshuflw, a, b, c);
        public Assembler Pshufw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshufw, a, b, c);
        public Assembler Pshufw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pshufw, a, b, c);
        public Assembler Psignb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psignb, a, b);
        public Assembler Psignb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psignb, a, b);
        public Assembler Psignd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psignd, a, b);
        public Assembler Psignd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psignd, a, b);
        public Assembler Psignw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psignw, a, b);
        public Assembler Psignw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psignw, a, b);
        public Assembler Psrld(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psrld, a, b);
        public Assembler Psrld(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psrld, a, b);
        public Assembler Psrld(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psrld, a, b);
        public Assembler Psrldq(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psrldq, a, b);
        public Assembler Psrlq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psrlq, a, b);
        public Assembler Psrlq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psrlq, a, b);
        public Assembler Psrlq(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psrlq, a, b);
        public Assembler Psrlw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psrlw, a, b);
        public Assembler Psrlw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psrlw, a, b);
        public Assembler Psrlw(Operand.Register a, Operand.Immediate b) => CreateInstr(Mnemonic.Psrlw, a, b);
        public Assembler Psubb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubb, a, b);
        public Assembler Psubb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubb, a, b);
        public Assembler Psubd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubd, a, b);
        public Assembler Psubd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubd, a, b);
        public Assembler Psubq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubq, a, b);
        public Assembler Psubq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubq, a, b);
        public Assembler Psubsb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubsb, a, b);
        public Assembler Psubsb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubsb, a, b);
        public Assembler Psubsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubsw, a, b);
        public Assembler Psubsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubsw, a, b);
        public Assembler Psubusb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubusb, a, b);
        public Assembler Psubusb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubusb, a, b);
        public Assembler Psubusw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubusw, a, b);
        public Assembler Psubusw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubusw, a, b);
        public Assembler Psubw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Psubw, a, b);
        public Assembler Psubw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Psubw, a, b);
        public Assembler Ptest(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ptest, a, b);
        public Assembler Ptest(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Ptest, a, b);
        public Assembler Punpckhbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpckhbw, a, b);
        public Assembler Punpckhbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpckhbw, a, b);
        public Assembler Punpckhdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpckhdq, a, b);
        public Assembler Punpckhdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpckhdq, a, b);
        public Assembler Punpckhqdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpckhqdq, a, b);
        public Assembler Punpckhqdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpckhqdq, a, b);
        public Assembler Punpckhwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpckhwd, a, b);
        public Assembler Punpckhwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpckhwd, a, b);
        public Assembler Punpcklbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpcklbw, a, b);
        public Assembler Punpcklbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpcklbw, a, b);
        public Assembler Punpckldq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpckldq, a, b);
        public Assembler Punpckldq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpckldq, a, b);
        public Assembler Punpcklqdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpcklqdq, a, b);
        public Assembler Punpcklqdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpcklqdq, a, b);
        public Assembler Punpcklwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Punpcklwd, a, b);
        public Assembler Punpcklwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Punpcklwd, a, b);
        public Assembler Pxor(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pxor, a, b);
        public Assembler Pxor(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pxor, a, b);
        public Assembler Rcpps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Rcpps, a, b);
        public Assembler Rcpps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Rcpps, a, b);
        public Assembler Rcpss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Rcpss, a, b);
        public Assembler Rcpss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Rcpss, a, b);
        public Assembler Roundpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundpd, a, b, c);
        public Assembler Roundpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundpd, a, b, c);
        public Assembler Roundps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundps, a, b, c);
        public Assembler Roundps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundps, a, b, c);
        public Assembler Roundsd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundsd, a, b, c);
        public Assembler Roundsd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundsd, a, b, c);
        public Assembler Roundss(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundss, a, b, c);
        public Assembler Roundss(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Roundss, a, b, c);
        public Assembler Rsqrtps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Rsqrtps, a, b);
        public Assembler Rsqrtps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Rsqrtps, a, b);
        public Assembler Rsqrtss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Rsqrtss, a, b);
        public Assembler Rsqrtss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Rsqrtss, a, b);
        public Assembler Shufpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Shufpd, a, b, c);
        public Assembler Shufpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Shufpd, a, b, c);
        public Assembler Shufps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Shufps, a, b, c);
        public Assembler Shufps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Shufps, a, b, c);
        public Assembler Sqrtpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sqrtpd, a, b);
        public Assembler Sqrtpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sqrtpd, a, b);
        public Assembler Sqrtps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sqrtps, a, b);
        public Assembler Sqrtps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sqrtps, a, b);
        public Assembler Sqrtsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sqrtsd, a, b);
        public Assembler Sqrtsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sqrtsd, a, b);
        public Assembler Sqrtss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sqrtss, a, b);
        public Assembler Sqrtss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sqrtss, a, b);
        public Assembler Subpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Subpd, a, b);
        public Assembler Subpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Subpd, a, b);
        public Assembler Subps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Subps, a, b);
        public Assembler Subps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Subps, a, b);
        public Assembler Subsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Subsd, a, b);
        public Assembler Subsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Subsd, a, b);
        public Assembler Subss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Subss, a, b);
        public Assembler Subss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Subss, a, b);
        public Assembler Ucomisd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ucomisd, a, b);
        public Assembler Ucomisd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Ucomisd, a, b);
        public Assembler Ucomiss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ucomiss, a, b);
        public Assembler Ucomiss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Ucomiss, a, b);
        public Assembler Unpckhpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Unpckhpd, a, b);
        public Assembler Unpckhpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Unpckhpd, a, b);
        public Assembler Unpckhps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Unpckhps, a, b);
        public Assembler Unpckhps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Unpckhps, a, b);
        public Assembler Unpcklpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Unpcklpd, a, b);
        public Assembler Unpcklpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Unpcklpd, a, b);
        public Assembler Unpcklps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Unpcklps, a, b);
        public Assembler Unpcklps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Unpcklps, a, b);
        public Assembler Xorpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Xorpd, a, b);
        public Assembler Xorpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Xorpd, a, b);
        public Assembler Xorps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Xorps, a, b);
        public Assembler Xorps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Xorps, a, b);
        public Assembler Pavgusb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pavgusb, a, b);
        public Assembler Pavgusb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pavgusb, a, b);
        public Assembler Pf2id(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pf2id, a, b);
        public Assembler Pf2id(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pf2id, a, b);
        public Assembler Pf2iw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pf2iw, a, b);
        public Assembler Pf2iw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pf2iw, a, b);
        public Assembler Pfacc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfacc, a, b);
        public Assembler Pfacc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfacc, a, b);
        public Assembler Pfadd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfadd, a, b);
        public Assembler Pfadd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfadd, a, b);
        public Assembler Pfcmpeq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfcmpeq, a, b);
        public Assembler Pfcmpeq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfcmpeq, a, b);
        public Assembler Pfcmpge(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfcmpge, a, b);
        public Assembler Pfcmpge(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfcmpge, a, b);
        public Assembler Pfcmpgt(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfcmpgt, a, b);
        public Assembler Pfcmpgt(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfcmpgt, a, b);
        public Assembler Pfmax(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfmax, a, b);
        public Assembler Pfmax(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfmax, a, b);
        public Assembler Pfmin(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfmin, a, b);
        public Assembler Pfmin(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfmin, a, b);
        public Assembler Pfmul(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfmul, a, b);
        public Assembler Pfmul(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfmul, a, b);
        public Assembler Pfnacc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfnacc, a, b);
        public Assembler Pfnacc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfnacc, a, b);
        public Assembler Pfpnacc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfpnacc, a, b);
        public Assembler Pfpnacc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfpnacc, a, b);
        public Assembler Pfrcp(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfrcp, a, b);
        public Assembler Pfrcp(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfrcp, a, b);
        public Assembler Pfrcpit2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfrcpit2, a, b);
        public Assembler Pfrcpit2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfrcpit2, a, b);
        public Assembler Pfrsqit1(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfrsqit1, a, b);
        public Assembler Pfrsqit1(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfrsqit1, a, b);
        public Assembler Pfsub(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfsub, a, b);
        public Assembler Pfsub(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfsub, a, b);
        public Assembler Pfsubr(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pfsubr, a, b);
        public Assembler Pfsubr(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pfsubr, a, b);
        public Assembler Pi2fd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pi2fd, a, b);
        public Assembler Pi2fd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pi2fd, a, b);
        public Assembler Pi2fw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pi2fw, a, b);
        public Assembler Pi2fw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pi2fw, a, b);
        public Assembler Pmulhrw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pmulhrw, a, b);
        public Assembler Pmulhrw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pmulhrw, a, b);
        public Assembler Pswapd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pswapd, a, b);
        public Assembler Pswapd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pswapd, a, b);
        public Assembler Femms() => CreateInstr(Mnemonic.Femms);
        public Assembler Aesdec(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Aesdec, a, b);
        public Assembler Aesdec(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Aesdec, a, b);
        public Assembler Aesdeclast(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Aesdeclast, a, b);
        public Assembler Aesdeclast(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Aesdeclast, a, b);
        public Assembler Aesenc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Aesenc, a, b);
        public Assembler Aesenc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Aesenc, a, b);
        public Assembler Aesenclast(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Aesenclast, a, b);
        public Assembler Aesenclast(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Aesenclast, a, b);
        public Assembler Aesimc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Aesimc, a, b);
        public Assembler Aesimc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Aesimc, a, b);
        public Assembler Aeskeygenassist(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Aeskeygenassist, a, b, c);
        public Assembler Aeskeygenassist(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Aeskeygenassist, a, b, c);
        public Assembler Sha1msg1(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sha1msg1, a, b);
        public Assembler Sha1msg1(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sha1msg1, a, b);
        public Assembler Sha1msg2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sha1msg2, a, b);
        public Assembler Sha1msg2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sha1msg2, a, b);
        public Assembler Sha1nexte(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sha1nexte, a, b);
        public Assembler Sha1nexte(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sha1nexte, a, b);
        public Assembler Sha1rnds4(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Sha1rnds4, a, b, c);
        public Assembler Sha1rnds4(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Sha1rnds4, a, b, c);
        public Assembler Sha256msg1(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sha256msg1, a, b);
        public Assembler Sha256msg1(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sha256msg1, a, b);
        public Assembler Sha256msg2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sha256msg2, a, b);
        public Assembler Sha256msg2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sha256msg2, a, b);
        public Assembler Kaddb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kaddb, a, b, c);
        public Assembler Kaddd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kaddd, a, b, c);
        public Assembler Kaddq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kaddq, a, b, c);
        public Assembler Kaddw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kaddw, a, b, c);
        public Assembler Kandb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandb, a, b, c);
        public Assembler Kandd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandd, a, b, c);
        public Assembler Kandnb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandnb, a, b, c);
        public Assembler Kandnd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandnd, a, b, c);
        public Assembler Kandnq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandnq, a, b, c);
        public Assembler Kandnw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandnw, a, b, c);
        public Assembler Kandq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandq, a, b, c);
        public Assembler Kandw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kandw, a, b, c);
        public Assembler Kmovb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Kmovb, a, b);
        public Assembler Kmovb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Kmovb, a, b);
        public Assembler Kmovb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kmovb, a, b);
        public Assembler Kmovd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Kmovd, a, b);
        public Assembler Kmovd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Kmovd, a, b);
        public Assembler Kmovd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kmovd, a, b);
        public Assembler Kmovq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Kmovq, a, b);
        public Assembler Kmovq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Kmovq, a, b);
        public Assembler Kmovq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kmovq, a, b);
        public Assembler Kmovw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Kmovw, a, b);
        public Assembler Kmovw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Kmovw, a, b);
        public Assembler Kmovw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kmovw, a, b);
        public Assembler Knotb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Knotb, a, b);
        public Assembler Knotd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Knotd, a, b);
        public Assembler Knotq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Knotq, a, b);
        public Assembler Knotw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Knotw, a, b);
        public Assembler Korb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Korb, a, b, c);
        public Assembler Kord(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kord, a, b, c);
        public Assembler Korq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Korq, a, b, c);
        public Assembler Kortestb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kortestb, a, b);
        public Assembler Kortestd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kortestd, a, b);
        public Assembler Kortestq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kortestq, a, b);
        public Assembler Kortestw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Kortestw, a, b);
        public Assembler Korw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Korw, a, b, c);
        public Assembler Kshiftlb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftlb, a, b, c);
        public Assembler Kshiftld(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftld, a, b, c);
        public Assembler Kshiftlq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftlq, a, b, c);
        public Assembler Kshiftlw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftlw, a, b, c);
        public Assembler Kshiftrb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftrb, a, b, c);
        public Assembler Kshiftrd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftrd, a, b, c);
        public Assembler Kshiftrq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftrq, a, b, c);
        public Assembler Kshiftrw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Kshiftrw, a, b, c);
        public Assembler Ktestb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ktestb, a, b);
        public Assembler Ktestd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ktestd, a, b);
        public Assembler Ktestq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ktestq, a, b);
        public Assembler Ktestw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Ktestw, a, b);
        public Assembler Kunpckbw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kunpckbw, a, b, c);
        public Assembler Kunpckdq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kunpckdq, a, b, c);
        public Assembler Kunpckwd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kunpckwd, a, b, c);
        public Assembler Kxnorb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxnorb, a, b, c);
        public Assembler Kxnord(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxnord, a, b, c);
        public Assembler Kxnorq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxnorq, a, b, c);
        public Assembler Kxnorw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxnorw, a, b, c);
        public Assembler Kxorb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxorb, a, b, c);
        public Assembler Kxord(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxord, a, b, c);
        public Assembler Kxorq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxorq, a, b, c);
        public Assembler Kxorw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Kxorw, a, b, c);
        public Assembler Vaddpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaddpd, a, b, c);
        public Assembler Vaddpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaddpd, a, b, c);
        public Assembler Vaddps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaddps, a, b, c);
        public Assembler Vaddps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaddps, a, b, c);
        public Assembler Vaddsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaddsd, a, b, c);
        public Assembler Vaddsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaddsd, a, b, c);
        public Assembler Vaddss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaddss, a, b, c);
        public Assembler Vaddss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaddss, a, b, c);
        public Assembler Vaddsubpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaddsubpd, a, b, c);
        public Assembler Vaddsubpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaddsubpd, a, b, c);
        public Assembler Vaddsubps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaddsubps, a, b, c);
        public Assembler Vaddsubps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaddsubps, a, b, c);
        public Assembler Vaesdec(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaesdec, a, b, c);
        public Assembler Vaesdec(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaesdec, a, b, c);
        public Assembler Vaesdeclast(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaesdeclast, a, b, c);
        public Assembler Vaesdeclast(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaesdeclast, a, b, c);
        public Assembler Vaesenc(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaesenc, a, b, c);
        public Assembler Vaesenc(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaesenc, a, b, c);
        public Assembler Vaesenclast(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vaesenclast, a, b, c);
        public Assembler Vaesenclast(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vaesenclast, a, b, c);
        public Assembler Vaesimc(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vaesimc, a, b);
        public Assembler Vaesimc(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vaesimc, a, b);
        public Assembler Vaeskeygenassist(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vaeskeygenassist, a, b, c);
        public Assembler Vaeskeygenassist(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vaeskeygenassist, a, b, c);
        public Assembler Valignd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Valignd, a, b, c, d);
        public Assembler Valignd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Valignd, a, b, c, d);
        public Assembler Valignq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Valignq, a, b, c, d);
        public Assembler Valignq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Valignq, a, b, c, d);
        public Assembler Vandnpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vandnpd, a, b, c);
        public Assembler Vandnpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vandnpd, a, b, c);
        public Assembler Vandnps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vandnps, a, b, c);
        public Assembler Vandnps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vandnps, a, b, c);
        public Assembler Vandpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vandpd, a, b, c);
        public Assembler Vandpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vandpd, a, b, c);
        public Assembler Vandps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vandps, a, b, c);
        public Assembler Vandps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vandps, a, b, c);
        public Assembler Vblendmpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vblendmpd, a, b, c);
        public Assembler Vblendmpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vblendmpd, a, b, c);
        public Assembler Vblendmps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vblendmps, a, b, c);
        public Assembler Vblendmps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vblendmps, a, b, c);
        public Assembler Vblendpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vblendpd, a, b, c, d);
        public Assembler Vblendpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vblendpd, a, b, c, d);
        public Assembler Vblendps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vblendps, a, b, c, d);
        public Assembler Vblendps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vblendps, a, b, c, d);
        public Assembler Vblendvpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vblendvpd, a, b, c, d);
        public Assembler Vblendvpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vblendvpd, a, b, c, d);
        public Assembler Vblendvps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vblendvps, a, b, c, d);
        public Assembler Vblendvps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vblendvps, a, b, c, d);
        public Assembler Vbroadcastf128(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastf128, a, b);
        public Assembler Vbroadcastf32x2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vbroadcastf32x2, a, b);
        public Assembler Vbroadcastf32x2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastf32x2, a, b);
        public Assembler Vbroadcastf32x4(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastf32x4, a, b);
        public Assembler Vbroadcastf32x8(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastf32x8, a, b);
        public Assembler Vbroadcastf64x2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastf64x2, a, b);
        public Assembler Vbroadcastf64x4(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastf64x4, a, b);
        public Assembler Vbroadcasti128(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcasti128, a, b);
        public Assembler Vbroadcasti32x2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vbroadcasti32x2, a, b);
        public Assembler Vbroadcasti32x2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcasti32x2, a, b);
        public Assembler Vbroadcasti32x4(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcasti32x4, a, b);
        public Assembler Vbroadcasti32x8(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcasti32x8, a, b);
        public Assembler Vbroadcasti64x2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vbroadcasti64x2, a, b);
        public Assembler Vbroadcasti64x2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcasti64x2, a, b);
        public Assembler Vbroadcasti64x4(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vbroadcasti64x4, a, b);
        public Assembler Vbroadcasti64x4(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcasti64x4, a, b);
        public Assembler Vbroadcastsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vbroadcastsd, a, b);
        public Assembler Vbroadcastsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastsd, a, b);
        public Assembler Vbroadcastss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vbroadcastss, a, b);
        public Assembler Vbroadcastss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vbroadcastss, a, b);
        public Assembler Vcmppd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmppd, a, b, c, d);
        public Assembler Vcmppd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmppd, a, b, c, d);
        public Assembler Vcmpps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmpps, a, b, c, d);
        public Assembler Vcmpps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmpps, a, b, c, d);
        public Assembler Vcmpsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmpsd, a, b, c, d);
        public Assembler Vcmpsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmpsd, a, b, c, d);
        public Assembler Vcmpss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmpss, a, b, c, d);
        public Assembler Vcmpss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vcmpss, a, b, c, d);
        public Assembler Vcomisd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcomisd, a, b);
        public Assembler Vcomisd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcomisd, a, b);
        public Assembler Vcomiss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcomiss, a, b);
        public Assembler Vcomiss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcomiss, a, b);
        public Assembler Vcompresspd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcompresspd, a, b);
        public Assembler Vcompresspd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vcompresspd, a, b);
        public Assembler Vcompressps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcompressps, a, b);
        public Assembler Vcompressps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vcompressps, a, b);
        public Assembler Vcvtdq2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtdq2pd, a, b);
        public Assembler Vcvtdq2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtdq2pd, a, b);
        public Assembler Vcvtdq2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtdq2ps, a, b);
        public Assembler Vcvtdq2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtdq2ps, a, b);
        public Assembler Vcvtne2ps2bf16(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtne2ps2bf16, a, b, c);
        public Assembler Vcvtne2ps2bf16(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtne2ps2bf16, a, b, c);
        public Assembler Vcvtneps2bf16(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtneps2bf16, a, b);
        public Assembler Vcvtneps2bf16(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtneps2bf16, a, b);
        public Assembler Vcvtpd2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtpd2dq, a, b);
        public Assembler Vcvtpd2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtpd2dq, a, b);
        public Assembler Vcvtpd2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtpd2ps, a, b);
        public Assembler Vcvtpd2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtpd2ps, a, b);
        public Assembler Vcvtpd2qq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtpd2qq, a, b);
        public Assembler Vcvtpd2qq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtpd2qq, a, b);
        public Assembler Vcvtpd2udq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtpd2udq, a, b);
        public Assembler Vcvtpd2udq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtpd2udq, a, b);
        public Assembler Vcvtpd2uqq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtpd2uqq, a, b);
        public Assembler Vcvtpd2uqq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtpd2uqq, a, b);
        public Assembler Vcvtph2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtph2ps, a, b);
        public Assembler Vcvtph2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtph2ps, a, b);
        public Assembler Vcvtps2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtps2dq, a, b);
        public Assembler Vcvtps2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtps2dq, a, b);
        public Assembler Vcvtps2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtps2pd, a, b);
        public Assembler Vcvtps2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtps2pd, a, b);
        public Assembler Vcvtps2ph(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vcvtps2ph, a, b, c);
        public Assembler Vcvtps2ph(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vcvtps2ph, a, b, c);
        public Assembler Vcvtps2qq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtps2qq, a, b);
        public Assembler Vcvtps2qq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtps2qq, a, b);
        public Assembler Vcvtps2udq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtps2udq, a, b);
        public Assembler Vcvtps2udq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtps2udq, a, b);
        public Assembler Vcvtps2uqq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtps2uqq, a, b);
        public Assembler Vcvtps2uqq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtps2uqq, a, b);
        public Assembler Vcvtqq2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtqq2pd, a, b);
        public Assembler Vcvtqq2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtqq2pd, a, b);
        public Assembler Vcvtqq2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtqq2ps, a, b);
        public Assembler Vcvtqq2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtqq2ps, a, b);
        public Assembler Vcvtsd2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtsd2si, a, b);
        public Assembler Vcvtsd2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtsd2si, a, b);
        public Assembler Vcvtsd2ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtsd2ss, a, b, c);
        public Assembler Vcvtsd2ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtsd2ss, a, b, c);
        public Assembler Vcvtsd2usi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtsd2usi, a, b);
        public Assembler Vcvtsd2usi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtsd2usi, a, b);
        public Assembler Vcvtsi2sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtsi2sd, a, b, c);
        public Assembler Vcvtsi2sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtsi2sd, a, b, c);
        public Assembler Vcvtsi2ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtsi2ss, a, b, c);
        public Assembler Vcvtsi2ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtsi2ss, a, b, c);
        public Assembler Vcvtss2sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtss2sd, a, b, c);
        public Assembler Vcvtss2sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtss2sd, a, b, c);
        public Assembler Vcvtss2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtss2si, a, b);
        public Assembler Vcvtss2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtss2si, a, b);
        public Assembler Vcvtss2usi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtss2usi, a, b);
        public Assembler Vcvtss2usi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtss2usi, a, b);
        public Assembler Vcvttpd2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttpd2dq, a, b);
        public Assembler Vcvttpd2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttpd2dq, a, b);
        public Assembler Vcvttpd2qq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttpd2qq, a, b);
        public Assembler Vcvttpd2qq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttpd2qq, a, b);
        public Assembler Vcvttpd2udq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttpd2udq, a, b);
        public Assembler Vcvttpd2udq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttpd2udq, a, b);
        public Assembler Vcvttpd2uqq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttpd2uqq, a, b);
        public Assembler Vcvttpd2uqq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttpd2uqq, a, b);
        public Assembler Vcvttps2dq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttps2dq, a, b);
        public Assembler Vcvttps2dq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttps2dq, a, b);
        public Assembler Vcvttps2qq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttps2qq, a, b);
        public Assembler Vcvttps2qq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttps2qq, a, b);
        public Assembler Vcvttps2udq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttps2udq, a, b);
        public Assembler Vcvttps2udq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttps2udq, a, b);
        public Assembler Vcvttps2uqq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttps2uqq, a, b);
        public Assembler Vcvttps2uqq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttps2uqq, a, b);
        public Assembler Vcvttsd2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttsd2si, a, b);
        public Assembler Vcvttsd2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttsd2si, a, b);
        public Assembler Vcvttsd2usi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttsd2usi, a, b);
        public Assembler Vcvttsd2usi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttsd2usi, a, b);
        public Assembler Vcvttss2si(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttss2si, a, b);
        public Assembler Vcvttss2si(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttss2si, a, b);
        public Assembler Vcvttss2usi(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvttss2usi, a, b);
        public Assembler Vcvttss2usi(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvttss2usi, a, b);
        public Assembler Vcvtudq2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtudq2pd, a, b);
        public Assembler Vcvtudq2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtudq2pd, a, b);
        public Assembler Vcvtudq2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtudq2ps, a, b);
        public Assembler Vcvtudq2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtudq2ps, a, b);
        public Assembler Vcvtuqq2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtuqq2pd, a, b);
        public Assembler Vcvtuqq2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtuqq2pd, a, b);
        public Assembler Vcvtuqq2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vcvtuqq2ps, a, b);
        public Assembler Vcvtuqq2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vcvtuqq2ps, a, b);
        public Assembler Vcvtusi2sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtusi2sd, a, b, c);
        public Assembler Vcvtusi2sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtusi2sd, a, b, c);
        public Assembler Vcvtusi2ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vcvtusi2ss, a, b, c);
        public Assembler Vcvtusi2ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vcvtusi2ss, a, b, c);
        public Assembler Vdbpsadbw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vdbpsadbw, a, b, c, d);
        public Assembler Vdbpsadbw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vdbpsadbw, a, b, c, d);
        public Assembler Vdivpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vdivpd, a, b, c);
        public Assembler Vdivpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vdivpd, a, b, c);
        public Assembler Vdivps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vdivps, a, b, c);
        public Assembler Vdivps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vdivps, a, b, c);
        public Assembler Vdivsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vdivsd, a, b, c);
        public Assembler Vdivsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vdivsd, a, b, c);
        public Assembler Vdivss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vdivss, a, b, c);
        public Assembler Vdivss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vdivss, a, b, c);
        public Assembler Vdpbf16ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vdpbf16ps, a, b, c);
        public Assembler Vdpbf16ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vdpbf16ps, a, b, c);
        public Assembler Vdppd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vdppd, a, b, c, d);
        public Assembler Vdppd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vdppd, a, b, c, d);
        public Assembler Vdpps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vdpps, a, b, c, d);
        public Assembler Vdpps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vdpps, a, b, c, d);
        public Assembler Vexp2pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vexp2pd, a, b);
        public Assembler Vexp2pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vexp2pd, a, b);
        public Assembler Vexp2ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vexp2ps, a, b);
        public Assembler Vexp2ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vexp2ps, a, b);
        public Assembler Vexpandpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vexpandpd, a, b);
        public Assembler Vexpandpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vexpandpd, a, b);
        public Assembler Vexpandps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vexpandps, a, b);
        public Assembler Vexpandps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vexpandps, a, b);
        public Assembler Vextractf128(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf128, a, b, c);
        public Assembler Vextractf128(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf128, a, b, c);
        public Assembler Vextractf32x4(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf32x4, a, b, c);
        public Assembler Vextractf32x4(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf32x4, a, b, c);
        public Assembler Vextractf32x8(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf32x8, a, b, c);
        public Assembler Vextractf32x8(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf32x8, a, b, c);
        public Assembler Vextractf64x2(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf64x2, a, b, c);
        public Assembler Vextractf64x2(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf64x2, a, b, c);
        public Assembler Vextractf64x4(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf64x4, a, b, c);
        public Assembler Vextractf64x4(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractf64x4, a, b, c);
        public Assembler Vextracti128(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti128, a, b, c);
        public Assembler Vextracti128(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti128, a, b, c);
        public Assembler Vextracti32x4(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti32x4, a, b, c);
        public Assembler Vextracti32x4(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti32x4, a, b, c);
        public Assembler Vextracti32x8(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti32x8, a, b, c);
        public Assembler Vextracti32x8(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti32x8, a, b, c);
        public Assembler Vextracti64x2(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti64x2, a, b, c);
        public Assembler Vextracti64x2(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti64x2, a, b, c);
        public Assembler Vextracti64x4(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti64x4, a, b, c);
        public Assembler Vextracti64x4(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextracti64x4, a, b, c);
        public Assembler Vextractps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractps, a, b, c);
        public Assembler Vextractps(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vextractps, a, b, c);
        public Assembler Vfmadd132pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd132pd, a, b, c);
        public Assembler Vfmadd132pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd132pd, a, b, c);
        public Assembler Vfmadd132ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd132ps, a, b, c);
        public Assembler Vfmadd132ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd132ps, a, b, c);
        public Assembler Vfmadd132sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd132sd, a, b, c);
        public Assembler Vfmadd132sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd132sd, a, b, c);
        public Assembler Vfmadd132ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd132ss, a, b, c);
        public Assembler Vfmadd132ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd132ss, a, b, c);
        public Assembler Vfmadd213pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd213pd, a, b, c);
        public Assembler Vfmadd213pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd213pd, a, b, c);
        public Assembler Vfmadd213ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd213ps, a, b, c);
        public Assembler Vfmadd213ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd213ps, a, b, c);
        public Assembler Vfmadd213sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd213sd, a, b, c);
        public Assembler Vfmadd213sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd213sd, a, b, c);
        public Assembler Vfmadd213ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd213ss, a, b, c);
        public Assembler Vfmadd213ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd213ss, a, b, c);
        public Assembler Vfmadd231pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd231pd, a, b, c);
        public Assembler Vfmadd231pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd231pd, a, b, c);
        public Assembler Vfmadd231ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd231ps, a, b, c);
        public Assembler Vfmadd231ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd231ps, a, b, c);
        public Assembler Vfmadd231sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd231sd, a, b, c);
        public Assembler Vfmadd231sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd231sd, a, b, c);
        public Assembler Vfmadd231ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmadd231ss, a, b, c);
        public Assembler Vfmadd231ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmadd231ss, a, b, c);
        public Assembler Vfmaddsub132pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmaddsub132pd, a, b, c);
        public Assembler Vfmaddsub132pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmaddsub132pd, a, b, c);
        public Assembler Vfmaddsub132ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmaddsub132ps, a, b, c);
        public Assembler Vfmaddsub132ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmaddsub132ps, a, b, c);
        public Assembler Vfmaddsub213pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmaddsub213pd, a, b, c);
        public Assembler Vfmaddsub213pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmaddsub213pd, a, b, c);
        public Assembler Vfmaddsub213ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmaddsub213ps, a, b, c);
        public Assembler Vfmaddsub213ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmaddsub213ps, a, b, c);
        public Assembler Vfmaddsub231pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmaddsub231pd, a, b, c);
        public Assembler Vfmaddsub231pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmaddsub231pd, a, b, c);
        public Assembler Vfmaddsub231ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmaddsub231ps, a, b, c);
        public Assembler Vfmaddsub231ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmaddsub231ps, a, b, c);
        public Assembler Vfmsub132pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub132pd, a, b, c);
        public Assembler Vfmsub132pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub132pd, a, b, c);
        public Assembler Vfmsub132ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub132ps, a, b, c);
        public Assembler Vfmsub132ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub132ps, a, b, c);
        public Assembler Vfmsub132sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub132sd, a, b, c);
        public Assembler Vfmsub132sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub132sd, a, b, c);
        public Assembler Vfmsub132ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub132ss, a, b, c);
        public Assembler Vfmsub132ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub132ss, a, b, c);
        public Assembler Vfmsub213pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub213pd, a, b, c);
        public Assembler Vfmsub213pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub213pd, a, b, c);
        public Assembler Vfmsub213ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub213ps, a, b, c);
        public Assembler Vfmsub213ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub213ps, a, b, c);
        public Assembler Vfmsub213sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub213sd, a, b, c);
        public Assembler Vfmsub213sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub213sd, a, b, c);
        public Assembler Vfmsub213ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub213ss, a, b, c);
        public Assembler Vfmsub213ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub213ss, a, b, c);
        public Assembler Vfmsub231pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub231pd, a, b, c);
        public Assembler Vfmsub231pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub231pd, a, b, c);
        public Assembler Vfmsub231ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub231ps, a, b, c);
        public Assembler Vfmsub231ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub231ps, a, b, c);
        public Assembler Vfmsub231sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub231sd, a, b, c);
        public Assembler Vfmsub231sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub231sd, a, b, c);
        public Assembler Vfmsub231ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsub231ss, a, b, c);
        public Assembler Vfmsub231ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsub231ss, a, b, c);
        public Assembler Vfmsubadd132pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsubadd132pd, a, b, c);
        public Assembler Vfmsubadd132pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsubadd132pd, a, b, c);
        public Assembler Vfmsubadd132ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsubadd132ps, a, b, c);
        public Assembler Vfmsubadd132ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsubadd132ps, a, b, c);
        public Assembler Vfmsubadd213pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsubadd213pd, a, b, c);
        public Assembler Vfmsubadd213pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsubadd213pd, a, b, c);
        public Assembler Vfmsubadd213ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsubadd213ps, a, b, c);
        public Assembler Vfmsubadd213ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsubadd213ps, a, b, c);
        public Assembler Vfmsubadd231pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsubadd231pd, a, b, c);
        public Assembler Vfmsubadd231pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsubadd231pd, a, b, c);
        public Assembler Vfmsubadd231ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfmsubadd231ps, a, b, c);
        public Assembler Vfmsubadd231ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfmsubadd231ps, a, b, c);
        public Assembler Vfnmadd132pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd132pd, a, b, c);
        public Assembler Vfnmadd132pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd132pd, a, b, c);
        public Assembler Vfnmadd132ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd132ps, a, b, c);
        public Assembler Vfnmadd132ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd132ps, a, b, c);
        public Assembler Vfnmadd132sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd132sd, a, b, c);
        public Assembler Vfnmadd132sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd132sd, a, b, c);
        public Assembler Vfnmadd132ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd132ss, a, b, c);
        public Assembler Vfnmadd132ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd132ss, a, b, c);
        public Assembler Vfnmadd213pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd213pd, a, b, c);
        public Assembler Vfnmadd213pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd213pd, a, b, c);
        public Assembler Vfnmadd213ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd213ps, a, b, c);
        public Assembler Vfnmadd213ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd213ps, a, b, c);
        public Assembler Vfnmadd213sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd213sd, a, b, c);
        public Assembler Vfnmadd213sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd213sd, a, b, c);
        public Assembler Vfnmadd213ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd213ss, a, b, c);
        public Assembler Vfnmadd213ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd213ss, a, b, c);
        public Assembler Vfnmadd231pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd231pd, a, b, c);
        public Assembler Vfnmadd231pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd231pd, a, b, c);
        public Assembler Vfnmadd231ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd231ps, a, b, c);
        public Assembler Vfnmadd231ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd231ps, a, b, c);
        public Assembler Vfnmadd231sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd231sd, a, b, c);
        public Assembler Vfnmadd231sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd231sd, a, b, c);
        public Assembler Vfnmadd231ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmadd231ss, a, b, c);
        public Assembler Vfnmadd231ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmadd231ss, a, b, c);
        public Assembler Vfnmsub132pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub132pd, a, b, c);
        public Assembler Vfnmsub132pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub132pd, a, b, c);
        public Assembler Vfnmsub132ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub132ps, a, b, c);
        public Assembler Vfnmsub132ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub132ps, a, b, c);
        public Assembler Vfnmsub132sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub132sd, a, b, c);
        public Assembler Vfnmsub132sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub132sd, a, b, c);
        public Assembler Vfnmsub132ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub132ss, a, b, c);
        public Assembler Vfnmsub132ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub132ss, a, b, c);
        public Assembler Vfnmsub213pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub213pd, a, b, c);
        public Assembler Vfnmsub213pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub213pd, a, b, c);
        public Assembler Vfnmsub213ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub213ps, a, b, c);
        public Assembler Vfnmsub213ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub213ps, a, b, c);
        public Assembler Vfnmsub213sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub213sd, a, b, c);
        public Assembler Vfnmsub213sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub213sd, a, b, c);
        public Assembler Vfnmsub213ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub213ss, a, b, c);
        public Assembler Vfnmsub213ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub213ss, a, b, c);
        public Assembler Vfnmsub231pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub231pd, a, b, c);
        public Assembler Vfnmsub231pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub231pd, a, b, c);
        public Assembler Vfnmsub231ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub231ps, a, b, c);
        public Assembler Vfnmsub231ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub231ps, a, b, c);
        public Assembler Vfnmsub231sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub231sd, a, b, c);
        public Assembler Vfnmsub231sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub231sd, a, b, c);
        public Assembler Vfnmsub231ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vfnmsub231ss, a, b, c);
        public Assembler Vfnmsub231ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vfnmsub231ss, a, b, c);
        public Assembler Vfpclasspd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclasspd, a, b, c);
        public Assembler Vfpclasspd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclasspd, a, b, c);
        public Assembler Vfpclassps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclassps, a, b, c);
        public Assembler Vfpclassps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclassps, a, b, c);
        public Assembler Vfpclasssd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclasssd, a, b, c);
        public Assembler Vfpclasssd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclasssd, a, b, c);
        public Assembler Vfpclassss(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclassss, a, b, c);
        public Assembler Vfpclassss(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vfpclassss, a, b, c);
        public Assembler Vgatherdpd(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vgatherdpd, a, b, c);
        public Assembler Vgatherdpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vgatherdpd, a, b);
        public Assembler Vgatherdps(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vgatherdps, a, b, c);
        public Assembler Vgatherdps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vgatherdps, a, b);
        public Assembler Vgatherpf0dpd(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf0dpd, a);
        public Assembler Vgatherpf0dps(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf0dps, a);
        public Assembler Vgatherpf0qpd(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf0qpd, a);
        public Assembler Vgatherpf0qps(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf0qps, a);
        public Assembler Vgatherpf1dpd(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf1dpd, a);
        public Assembler Vgatherpf1dps(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf1dps, a);
        public Assembler Vgatherpf1qpd(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf1qpd, a);
        public Assembler Vgatherpf1qps(Operand.Memory a) => CreateInstr(Mnemonic.Vgatherpf1qps, a);
        public Assembler Vgatherqpd(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vgatherqpd, a, b, c);
        public Assembler Vgatherqpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vgatherqpd, a, b);
        public Assembler Vgatherqps(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vgatherqps, a, b, c);
        public Assembler Vgatherqps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vgatherqps, a, b);
        public Assembler Vgetexppd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vgetexppd, a, b);
        public Assembler Vgetexppd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vgetexppd, a, b);
        public Assembler Vgetexpps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vgetexpps, a, b);
        public Assembler Vgetexpps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vgetexpps, a, b);
        public Assembler Vgetexpsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vgetexpsd, a, b, c);
        public Assembler Vgetexpsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vgetexpsd, a, b, c);
        public Assembler Vgetexpss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vgetexpss, a, b, c);
        public Assembler Vgetexpss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vgetexpss, a, b, c);
        public Assembler Vgetmantpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vgetmantpd, a, b, c);
        public Assembler Vgetmantpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vgetmantpd, a, b, c);
        public Assembler Vgetmantps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vgetmantps, a, b, c);
        public Assembler Vgetmantps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vgetmantps, a, b, c);
        public Assembler Vgetmantsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgetmantsd, a, b, c, d);
        public Assembler Vgetmantsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgetmantsd, a, b, c, d);
        public Assembler Vgetmantss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgetmantss, a, b, c, d);
        public Assembler Vgetmantss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgetmantss, a, b, c, d);
        public Assembler Vgf2p8affineinvqb(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgf2p8affineinvqb, a, b, c, d);
        public Assembler Vgf2p8affineinvqb(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgf2p8affineinvqb, a, b, c, d);
        public Assembler Vgf2p8affineqb(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgf2p8affineqb, a, b, c, d);
        public Assembler Vgf2p8affineqb(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vgf2p8affineqb, a, b, c, d);
        public Assembler Vgf2p8mulb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vgf2p8mulb, a, b, c);
        public Assembler Vgf2p8mulb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vgf2p8mulb, a, b, c);
        public Assembler Vhaddpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vhaddpd, a, b, c);
        public Assembler Vhaddpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vhaddpd, a, b, c);
        public Assembler Vhaddps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vhaddps, a, b, c);
        public Assembler Vhaddps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vhaddps, a, b, c);
        public Assembler Vhsubpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vhsubpd, a, b, c);
        public Assembler Vhsubpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vhsubpd, a, b, c);
        public Assembler Vhsubps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vhsubps, a, b, c);
        public Assembler Vhsubps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vhsubps, a, b, c);
        public Assembler Vinsertf128(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf128, a, b, c, d);
        public Assembler Vinsertf128(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf128, a, b, c, d);
        public Assembler Vinsertf32x4(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf32x4, a, b, c, d);
        public Assembler Vinsertf32x4(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf32x4, a, b, c, d);
        public Assembler Vinsertf32x8(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf32x8, a, b, c, d);
        public Assembler Vinsertf32x8(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf32x8, a, b, c, d);
        public Assembler Vinsertf64x2(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf64x2, a, b, c, d);
        public Assembler Vinsertf64x2(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf64x2, a, b, c, d);
        public Assembler Vinsertf64x4(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf64x4, a, b, c, d);
        public Assembler Vinsertf64x4(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertf64x4, a, b, c, d);
        public Assembler Vinserti128(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti128, a, b, c, d);
        public Assembler Vinserti128(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti128, a, b, c, d);
        public Assembler Vinserti32x4(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti32x4, a, b, c, d);
        public Assembler Vinserti32x4(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti32x4, a, b, c, d);
        public Assembler Vinserti32x8(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti32x8, a, b, c, d);
        public Assembler Vinserti32x8(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti32x8, a, b, c, d);
        public Assembler Vinserti64x2(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti64x2, a, b, c, d);
        public Assembler Vinserti64x2(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti64x2, a, b, c, d);
        public Assembler Vinserti64x4(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti64x4, a, b, c, d);
        public Assembler Vinserti64x4(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinserti64x4, a, b, c, d);
        public Assembler Vinsertps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertps, a, b, c, d);
        public Assembler Vinsertps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vinsertps, a, b, c, d);
        public Assembler Vlddqu(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vlddqu, a, b);
        public Assembler Vldmxcsr(Operand.Memory a) => CreateInstr(Mnemonic.Vldmxcsr, a);
        public Assembler Vmaskmovpd(Operand.Memory a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmaskmovpd, a, b, c);
        public Assembler Vmaskmovpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmaskmovpd, a, b, c);
        public Assembler Vmaskmovps(Operand.Memory a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmaskmovps, a, b, c);
        public Assembler Vmaskmovps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmaskmovps, a, b, c);
        public Assembler Vmaxpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmaxpd, a, b, c);
        public Assembler Vmaxpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmaxpd, a, b, c);
        public Assembler Vmaxps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmaxps, a, b, c);
        public Assembler Vmaxps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmaxps, a, b, c);
        public Assembler Vmaxsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmaxsd, a, b, c);
        public Assembler Vmaxsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmaxsd, a, b, c);
        public Assembler Vmaxss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmaxss, a, b, c);
        public Assembler Vmaxss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmaxss, a, b, c);
        public Assembler Vminpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vminpd, a, b, c);
        public Assembler Vminpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vminpd, a, b, c);
        public Assembler Vminps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vminps, a, b, c);
        public Assembler Vminps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vminps, a, b, c);
        public Assembler Vminsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vminsd, a, b, c);
        public Assembler Vminsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vminsd, a, b, c);
        public Assembler Vminss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vminss, a, b, c);
        public Assembler Vminss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vminss, a, b, c);
        public Assembler Vmovapd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovapd, a, b);
        public Assembler Vmovapd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovapd, a, b);
        public Assembler Vmovapd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovapd, a, b);
        public Assembler Vmovaps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovaps, a, b);
        public Assembler Vmovaps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovaps, a, b);
        public Assembler Vmovaps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovaps, a, b);
        public Assembler Vmovd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovd, a, b);
        public Assembler Vmovd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovd, a, b);
        public Assembler Vmovd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovd, a, b);
        public Assembler Vmovddup(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovddup, a, b);
        public Assembler Vmovddup(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovddup, a, b);
        public Assembler Vmovdqa(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqa, a, b);
        public Assembler Vmovdqa(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqa, a, b);
        public Assembler Vmovdqa(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqa, a, b);
        public Assembler Vmovdqa32(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqa32, a, b);
        public Assembler Vmovdqa32(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqa32, a, b);
        public Assembler Vmovdqa32(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqa32, a, b);
        public Assembler Vmovdqa64(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqa64, a, b);
        public Assembler Vmovdqa64(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqa64, a, b);
        public Assembler Vmovdqa64(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqa64, a, b);
        public Assembler Vmovdqu(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu, a, b);
        public Assembler Vmovdqu(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqu, a, b);
        public Assembler Vmovdqu(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu, a, b);
        public Assembler Vmovdqu16(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu16, a, b);
        public Assembler Vmovdqu16(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqu16, a, b);
        public Assembler Vmovdqu16(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu16, a, b);
        public Assembler Vmovdqu32(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu32, a, b);
        public Assembler Vmovdqu32(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqu32, a, b);
        public Assembler Vmovdqu32(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu32, a, b);
        public Assembler Vmovdqu64(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu64, a, b);
        public Assembler Vmovdqu64(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqu64, a, b);
        public Assembler Vmovdqu64(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu64, a, b);
        public Assembler Vmovdqu8(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu8, a, b);
        public Assembler Vmovdqu8(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovdqu8, a, b);
        public Assembler Vmovdqu8(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovdqu8, a, b);
        public Assembler Vmovhlps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmovhlps, a, b, c);
        public Assembler Vmovhpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovhpd, a, b);
        public Assembler Vmovhpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmovhpd, a, b, c);
        public Assembler Vmovhps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovhps, a, b);
        public Assembler Vmovhps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmovhps, a, b, c);
        public Assembler Vmovlhps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmovlhps, a, b, c);
        public Assembler Vmovlpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovlpd, a, b);
        public Assembler Vmovlpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmovlpd, a, b, c);
        public Assembler Vmovlps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovlps, a, b);
        public Assembler Vmovlps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmovlps, a, b, c);
        public Assembler Vmovmskpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovmskpd, a, b);
        public Assembler Vmovmskps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovmskps, a, b);
        public Assembler Vmovntdq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovntdq, a, b);
        public Assembler Vmovntdqa(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovntdqa, a, b);
        public Assembler Vmovntpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovntpd, a, b);
        public Assembler Vmovntps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovntps, a, b);
        public Assembler Vmovq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovq, a, b);
        public Assembler Vmovq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovq, a, b);
        public Assembler Vmovq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovq, a, b);
        public Assembler Vmovsd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovsd, a, b);
        public Assembler Vmovsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovsd, a, b);
        public Assembler Vmovsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmovsd, a, b, c);
        public Assembler Vmovshdup(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovshdup, a, b);
        public Assembler Vmovshdup(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovshdup, a, b);
        public Assembler Vmovsldup(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovsldup, a, b);
        public Assembler Vmovsldup(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovsldup, a, b);
        public Assembler Vmovss(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovss, a, b);
        public Assembler Vmovss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovss, a, b);
        public Assembler Vmovss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmovss, a, b, c);
        public Assembler Vmovupd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovupd, a, b);
        public Assembler Vmovupd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovupd, a, b);
        public Assembler Vmovupd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovupd, a, b);
        public Assembler Vmovups(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmovups, a, b);
        public Assembler Vmovups(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vmovups, a, b);
        public Assembler Vmovups(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vmovups, a, b);
        public Assembler Vmpsadbw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vmpsadbw, a, b, c, d);
        public Assembler Vmpsadbw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vmpsadbw, a, b, c, d);
        public Assembler Vmulpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmulpd, a, b, c);
        public Assembler Vmulpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmulpd, a, b, c);
        public Assembler Vmulps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmulps, a, b, c);
        public Assembler Vmulps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmulps, a, b, c);
        public Assembler Vmulsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmulsd, a, b, c);
        public Assembler Vmulsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmulsd, a, b, c);
        public Assembler Vmulss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vmulss, a, b, c);
        public Assembler Vmulss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vmulss, a, b, c);
        public Assembler Vorpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vorpd, a, b, c);
        public Assembler Vorpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vorpd, a, b, c);
        public Assembler Vorps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vorps, a, b, c);
        public Assembler Vorps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vorps, a, b, c);
        public Assembler Vpabsb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpabsb, a, b);
        public Assembler Vpabsb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpabsb, a, b);
        public Assembler Vpabsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpabsd, a, b);
        public Assembler Vpabsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpabsd, a, b);
        public Assembler Vpabsq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpabsq, a, b);
        public Assembler Vpabsq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpabsq, a, b);
        public Assembler Vpabsw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpabsw, a, b);
        public Assembler Vpabsw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpabsw, a, b);
        public Assembler Vpackssdw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpackssdw, a, b, c);
        public Assembler Vpackssdw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpackssdw, a, b, c);
        public Assembler Vpacksswb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpacksswb, a, b, c);
        public Assembler Vpacksswb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpacksswb, a, b, c);
        public Assembler Vpackusdw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpackusdw, a, b, c);
        public Assembler Vpackusdw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpackusdw, a, b, c);
        public Assembler Vpackuswb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpackuswb, a, b, c);
        public Assembler Vpackuswb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpackuswb, a, b, c);
        public Assembler Vpaddb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddb, a, b, c);
        public Assembler Vpaddb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddb, a, b, c);
        public Assembler Vpaddd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddd, a, b, c);
        public Assembler Vpaddd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddd, a, b, c);
        public Assembler Vpaddq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddq, a, b, c);
        public Assembler Vpaddq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddq, a, b, c);
        public Assembler Vpaddsb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddsb, a, b, c);
        public Assembler Vpaddsb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddsb, a, b, c);
        public Assembler Vpaddsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddsw, a, b, c);
        public Assembler Vpaddsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddsw, a, b, c);
        public Assembler Vpaddusb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddusb, a, b, c);
        public Assembler Vpaddusb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddusb, a, b, c);
        public Assembler Vpaddusw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddusw, a, b, c);
        public Assembler Vpaddusw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddusw, a, b, c);
        public Assembler Vpaddw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpaddw, a, b, c);
        public Assembler Vpaddw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpaddw, a, b, c);
        public Assembler Vpalignr(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpalignr, a, b, c, d);
        public Assembler Vpalignr(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpalignr, a, b, c, d);
        public Assembler Vpand(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpand, a, b, c);
        public Assembler Vpand(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpand, a, b, c);
        public Assembler Vpandd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpandd, a, b, c);
        public Assembler Vpandd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpandd, a, b, c);
        public Assembler Vpandn(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpandn, a, b, c);
        public Assembler Vpandn(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpandn, a, b, c);
        public Assembler Vpandnd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpandnd, a, b, c);
        public Assembler Vpandnd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpandnd, a, b, c);
        public Assembler Vpandnq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpandnq, a, b, c);
        public Assembler Vpandnq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpandnq, a, b, c);
        public Assembler Vpandq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpandq, a, b, c);
        public Assembler Vpandq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpandq, a, b, c);
        public Assembler Vpavgb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpavgb, a, b, c);
        public Assembler Vpavgb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpavgb, a, b, c);
        public Assembler Vpavgw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpavgw, a, b, c);
        public Assembler Vpavgw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpavgw, a, b, c);
        public Assembler Vpblendd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpblendd, a, b, c, d);
        public Assembler Vpblendd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpblendd, a, b, c, d);
        public Assembler Vpblendvb(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpblendvb, a, b, c, d);
        public Assembler Vpblendvb(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpblendvb, a, b, c, d);
        public Assembler Vpblendw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpblendw, a, b, c, d);
        public Assembler Vpblendw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpblendw, a, b, c, d);
        public Assembler Vpbroadcastb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpbroadcastb, a, b);
        public Assembler Vpbroadcastb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpbroadcastb, a, b);
        public Assembler Vpbroadcastd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpbroadcastd, a, b);
        public Assembler Vpbroadcastd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpbroadcastd, a, b);
        public Assembler Vpbroadcastmb2q(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpbroadcastmb2q, a, b);
        public Assembler Vpbroadcastq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpbroadcastq, a, b);
        public Assembler Vpbroadcastq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpbroadcastq, a, b);
        public Assembler Vpbroadcastw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpbroadcastw, a, b);
        public Assembler Vpbroadcastw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpbroadcastw, a, b);
        public Assembler Vpclmulqdq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpclmulqdq, a, b, c, d);
        public Assembler Vpclmulqdq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpclmulqdq, a, b, c, d);
        public Assembler Vpcmpb(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpb, a, b, c, d);
        public Assembler Vpcmpb(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpb, a, b, c, d);
        public Assembler Vpcmpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpd, a, b, c, d);
        public Assembler Vpcmpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpd, a, b, c, d);
        public Assembler Vpcmpeqb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpeqb, a, b, c);
        public Assembler Vpcmpeqb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpeqb, a, b, c);
        public Assembler Vpcmpeqd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpeqd, a, b, c);
        public Assembler Vpcmpeqd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpeqd, a, b, c);
        public Assembler Vpcmpeqq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpeqq, a, b, c);
        public Assembler Vpcmpeqq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpeqq, a, b, c);
        public Assembler Vpcmpeqw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpeqw, a, b, c);
        public Assembler Vpcmpeqw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpeqw, a, b, c);
        public Assembler Vpcmpgtb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpgtb, a, b, c);
        public Assembler Vpcmpgtb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpgtb, a, b, c);
        public Assembler Vpcmpgtd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpgtd, a, b, c);
        public Assembler Vpcmpgtd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpgtd, a, b, c);
        public Assembler Vpcmpgtq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpgtq, a, b, c);
        public Assembler Vpcmpgtq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpgtq, a, b, c);
        public Assembler Vpcmpgtw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpcmpgtw, a, b, c);
        public Assembler Vpcmpgtw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpcmpgtw, a, b, c);
        public Assembler Vpcmpq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpq, a, b, c, d);
        public Assembler Vpcmpq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpq, a, b, c, d);
        public Assembler Vpcmpub(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpub, a, b, c, d);
        public Assembler Vpcmpub(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpub, a, b, c, d);
        public Assembler Vpcmpud(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpud, a, b, c, d);
        public Assembler Vpcmpud(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpud, a, b, c, d);
        public Assembler Vpcmpuq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpuq, a, b, c, d);
        public Assembler Vpcmpuq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpuq, a, b, c, d);
        public Assembler Vpcmpuw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpuw, a, b, c, d);
        public Assembler Vpcmpuw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpuw, a, b, c, d);
        public Assembler Vpcmpw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpw, a, b, c, d);
        public Assembler Vpcmpw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcmpw, a, b, c, d);
        public Assembler Vpcompressb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressb, a, b);
        public Assembler Vpcompressb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressb, a, b);
        public Assembler Vpcompressd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressd, a, b);
        public Assembler Vpcompressd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressd, a, b);
        public Assembler Vpcompressq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressq, a, b);
        public Assembler Vpcompressq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressq, a, b);
        public Assembler Vpcompressw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressw, a, b);
        public Assembler Vpcompressw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpcompressw, a, b);
        public Assembler Vpconflictd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpconflictd, a, b);
        public Assembler Vpconflictd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpconflictd, a, b);
        public Assembler Vpconflictq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpconflictq, a, b);
        public Assembler Vpconflictq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpconflictq, a, b);
        public Assembler Vpdpbusd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpdpbusd, a, b, c);
        public Assembler Vpdpbusd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpdpbusd, a, b, c);
        public Assembler Vpdpbusds(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpdpbusds, a, b, c);
        public Assembler Vpdpbusds(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpdpbusds, a, b, c);
        public Assembler Vpdpwssd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpdpwssd, a, b, c);
        public Assembler Vpdpwssd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpdpwssd, a, b, c);
        public Assembler Vpdpwssds(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpdpwssds, a, b, c);
        public Assembler Vpdpwssds(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpdpwssds, a, b, c);
        public Assembler Vperm2f128(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vperm2f128, a, b, c, d);
        public Assembler Vperm2f128(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vperm2f128, a, b, c, d);
        public Assembler Vperm2i128(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vperm2i128, a, b, c, d);
        public Assembler Vperm2i128(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vperm2i128, a, b, c, d);
        public Assembler Vpermb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermb, a, b, c);
        public Assembler Vpermb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermb, a, b, c);
        public Assembler Vpermd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermd, a, b, c);
        public Assembler Vpermd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermd, a, b, c);
        public Assembler Vpermi2b(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermi2b, a, b, c);
        public Assembler Vpermi2b(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermi2b, a, b, c);
        public Assembler Vpermi2d(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermi2d, a, b, c);
        public Assembler Vpermi2d(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermi2d, a, b, c);
        public Assembler Vpermi2pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermi2pd, a, b, c);
        public Assembler Vpermi2pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermi2pd, a, b, c);
        public Assembler Vpermi2ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermi2ps, a, b, c);
        public Assembler Vpermi2ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermi2ps, a, b, c);
        public Assembler Vpermi2q(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermi2q, a, b, c);
        public Assembler Vpermi2q(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermi2q, a, b, c);
        public Assembler Vpermi2w(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermi2w, a, b, c);
        public Assembler Vpermi2w(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermi2w, a, b, c);
        public Assembler Vpermilpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermilpd, a, b, c);
        public Assembler Vpermilpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermilpd, a, b, c);
        public Assembler Vpermilpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermilpd, a, b, c);
        public Assembler Vpermilpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermilpd, a, b, c);
        public Assembler Vpermilps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermilps, a, b, c);
        public Assembler Vpermilps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermilps, a, b, c);
        public Assembler Vpermilps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermilps, a, b, c);
        public Assembler Vpermilps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermilps, a, b, c);
        public Assembler Vpermpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermpd, a, b, c);
        public Assembler Vpermpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermpd, a, b, c);
        public Assembler Vpermps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermps, a, b, c);
        public Assembler Vpermps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermps, a, b, c);
        public Assembler Vpermq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermq, a, b, c);
        public Assembler Vpermq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermq, a, b, c);
        public Assembler Vpermq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermq, a, b, c);
        public Assembler Vpermq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpermq, a, b, c);
        public Assembler Vpermt2b(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermt2b, a, b, c);
        public Assembler Vpermt2b(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermt2b, a, b, c);
        public Assembler Vpermt2d(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermt2d, a, b, c);
        public Assembler Vpermt2d(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermt2d, a, b, c);
        public Assembler Vpermt2pd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermt2pd, a, b, c);
        public Assembler Vpermt2pd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermt2pd, a, b, c);
        public Assembler Vpermt2ps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermt2ps, a, b, c);
        public Assembler Vpermt2ps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermt2ps, a, b, c);
        public Assembler Vpermt2q(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermt2q, a, b, c);
        public Assembler Vpermt2q(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermt2q, a, b, c);
        public Assembler Vpermt2w(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermt2w, a, b, c);
        public Assembler Vpermt2w(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermt2w, a, b, c);
        public Assembler Vpermw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpermw, a, b, c);
        public Assembler Vpermw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpermw, a, b, c);
        public Assembler Vpexpandb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpexpandb, a, b);
        public Assembler Vpexpandb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpexpandb, a, b);
        public Assembler Vpexpandd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpexpandd, a, b);
        public Assembler Vpexpandd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpexpandd, a, b);
        public Assembler Vpexpandq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpexpandq, a, b);
        public Assembler Vpexpandq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpexpandq, a, b);
        public Assembler Vpexpandw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpexpandw, a, b);
        public Assembler Vpexpandw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpexpandw, a, b);
        public Assembler Vpextrb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrb, a, b, c);
        public Assembler Vpextrb(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrb, a, b, c);
        public Assembler Vpextrd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrd, a, b, c);
        public Assembler Vpextrd(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrd, a, b, c);
        public Assembler Vpextrq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrq, a, b, c);
        public Assembler Vpextrq(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrq, a, b, c);
        public Assembler Vpextrw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrw, a, b, c);
        public Assembler Vpextrw(Operand.Memory a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpextrw, a, b, c);
        public Assembler Vpgatherdd(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpgatherdd, a, b, c);
        public Assembler Vpgatherdd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpgatherdd, a, b);
        public Assembler Vpgatherdq(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpgatherdq, a, b, c);
        public Assembler Vpgatherdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpgatherdq, a, b);
        public Assembler Vpgatherqd(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpgatherqd, a, b, c);
        public Assembler Vpgatherqd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpgatherqd, a, b);
        public Assembler Vpgatherqq(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpgatherqq, a, b, c);
        public Assembler Vpgatherqq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpgatherqq, a, b);
        public Assembler Vphaddd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vphaddd, a, b, c);
        public Assembler Vphaddd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vphaddd, a, b, c);
        public Assembler Vphaddsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vphaddsw, a, b, c);
        public Assembler Vphaddsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vphaddsw, a, b, c);
        public Assembler Vphaddw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vphaddw, a, b, c);
        public Assembler Vphaddw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vphaddw, a, b, c);
        public Assembler Vphminposuw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphminposuw, a, b);
        public Assembler Vphminposuw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphminposuw, a, b);
        public Assembler Vphsubd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vphsubd, a, b, c);
        public Assembler Vphsubd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vphsubd, a, b, c);
        public Assembler Vphsubsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vphsubsw, a, b, c);
        public Assembler Vphsubsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vphsubsw, a, b, c);
        public Assembler Vphsubw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vphsubw, a, b, c);
        public Assembler Vphsubw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vphsubw, a, b, c);
        public Assembler Vpinsrb(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrb, a, b, c, d);
        public Assembler Vpinsrb(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrb, a, b, c, d);
        public Assembler Vpinsrd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrd, a, b, c, d);
        public Assembler Vpinsrd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrd, a, b, c, d);
        public Assembler Vpinsrq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrq, a, b, c, d);
        public Assembler Vpinsrq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrq, a, b, c, d);
        public Assembler Vpinsrw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrw, a, b, c, d);
        public Assembler Vpinsrw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpinsrw, a, b, c, d);
        public Assembler Vplzcntd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vplzcntd, a, b);
        public Assembler Vplzcntd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vplzcntd, a, b);
        public Assembler Vplzcntq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vplzcntq, a, b);
        public Assembler Vplzcntq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vplzcntq, a, b);
        public Assembler Vpmadd52huq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmadd52huq, a, b, c);
        public Assembler Vpmadd52huq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmadd52huq, a, b, c);
        public Assembler Vpmadd52luq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmadd52luq, a, b, c);
        public Assembler Vpmadd52luq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmadd52luq, a, b, c);
        public Assembler Vpmaddubsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaddubsw, a, b, c);
        public Assembler Vpmaddubsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaddubsw, a, b, c);
        public Assembler Vpmaddwd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaddwd, a, b, c);
        public Assembler Vpmaddwd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaddwd, a, b, c);
        public Assembler Vpmaskmovd(Operand.Memory a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaskmovd, a, b, c);
        public Assembler Vpmaskmovd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaskmovd, a, b, c);
        public Assembler Vpmaskmovq(Operand.Memory a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaskmovq, a, b, c);
        public Assembler Vpmaskmovq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaskmovq, a, b, c);
        public Assembler Vpmaxsb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxsb, a, b, c);
        public Assembler Vpmaxsb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxsb, a, b, c);
        public Assembler Vpmaxsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxsd, a, b, c);
        public Assembler Vpmaxsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxsd, a, b, c);
        public Assembler Vpmaxsq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxsq, a, b, c);
        public Assembler Vpmaxsq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxsq, a, b, c);
        public Assembler Vpmaxsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxsw, a, b, c);
        public Assembler Vpmaxsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxsw, a, b, c);
        public Assembler Vpmaxub(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxub, a, b, c);
        public Assembler Vpmaxub(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxub, a, b, c);
        public Assembler Vpmaxud(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxud, a, b, c);
        public Assembler Vpmaxud(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxud, a, b, c);
        public Assembler Vpmaxuq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxuq, a, b, c);
        public Assembler Vpmaxuq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxuq, a, b, c);
        public Assembler Vpmaxuw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmaxuw, a, b, c);
        public Assembler Vpmaxuw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmaxuw, a, b, c);
        public Assembler Vpminsb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminsb, a, b, c);
        public Assembler Vpminsb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminsb, a, b, c);
        public Assembler Vpminsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminsd, a, b, c);
        public Assembler Vpminsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminsd, a, b, c);
        public Assembler Vpminsq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminsq, a, b, c);
        public Assembler Vpminsq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminsq, a, b, c);
        public Assembler Vpminsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminsw, a, b, c);
        public Assembler Vpminsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminsw, a, b, c);
        public Assembler Vpminub(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminub, a, b, c);
        public Assembler Vpminub(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminub, a, b, c);
        public Assembler Vpminud(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminud, a, b, c);
        public Assembler Vpminud(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminud, a, b, c);
        public Assembler Vpminuq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminuq, a, b, c);
        public Assembler Vpminuq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminuq, a, b, c);
        public Assembler Vpminuw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpminuw, a, b, c);
        public Assembler Vpminuw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpminuw, a, b, c);
        public Assembler Vpmovb2m(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovb2m, a, b);
        public Assembler Vpmovd2m(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovd2m, a, b);
        public Assembler Vpmovdb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovdb, a, b);
        public Assembler Vpmovdb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovdb, a, b);
        public Assembler Vpmovdw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovdw, a, b);
        public Assembler Vpmovdw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovdw, a, b);
        public Assembler Vpmovm2b(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovm2b, a, b);
        public Assembler Vpmovm2d(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovm2d, a, b);
        public Assembler Vpmovm2q(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovm2q, a, b);
        public Assembler Vpmovm2w(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovm2w, a, b);
        public Assembler Vpmovmskb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovmskb, a, b);
        public Assembler Vpmovq2m(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovq2m, a, b);
        public Assembler Vpmovqb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovqb, a, b);
        public Assembler Vpmovqb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovqb, a, b);
        public Assembler Vpmovqd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovqd, a, b);
        public Assembler Vpmovqd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovqd, a, b);
        public Assembler Vpmovqw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovqw, a, b);
        public Assembler Vpmovqw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovqw, a, b);
        public Assembler Vpmovsdb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsdb, a, b);
        public Assembler Vpmovsdb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsdb, a, b);
        public Assembler Vpmovsdw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsdw, a, b);
        public Assembler Vpmovsdw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsdw, a, b);
        public Assembler Vpmovsqb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsqb, a, b);
        public Assembler Vpmovsqb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsqb, a, b);
        public Assembler Vpmovsqd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsqd, a, b);
        public Assembler Vpmovsqd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsqd, a, b);
        public Assembler Vpmovsqw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsqw, a, b);
        public Assembler Vpmovsqw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsqw, a, b);
        public Assembler Vpmovswb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovswb, a, b);
        public Assembler Vpmovswb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovswb, a, b);
        public Assembler Vpmovsxbd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsxbd, a, b);
        public Assembler Vpmovsxbd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovsxbd, a, b);
        public Assembler Vpmovsxbq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsxbq, a, b);
        public Assembler Vpmovsxbq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovsxbq, a, b);
        public Assembler Vpmovsxbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsxbw, a, b);
        public Assembler Vpmovsxbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovsxbw, a, b);
        public Assembler Vpmovsxdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsxdq, a, b);
        public Assembler Vpmovsxdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovsxdq, a, b);
        public Assembler Vpmovsxwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsxwd, a, b);
        public Assembler Vpmovsxwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovsxwd, a, b);
        public Assembler Vpmovsxwq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovsxwq, a, b);
        public Assembler Vpmovsxwq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovsxwq, a, b);
        public Assembler Vpmovusdb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusdb, a, b);
        public Assembler Vpmovusdb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusdb, a, b);
        public Assembler Vpmovusdw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusdw, a, b);
        public Assembler Vpmovusdw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusdw, a, b);
        public Assembler Vpmovusqb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusqb, a, b);
        public Assembler Vpmovusqb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusqb, a, b);
        public Assembler Vpmovusqd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusqd, a, b);
        public Assembler Vpmovusqd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusqd, a, b);
        public Assembler Vpmovusqw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusqw, a, b);
        public Assembler Vpmovusqw(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovusqw, a, b);
        public Assembler Vpmovuswb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovuswb, a, b);
        public Assembler Vpmovuswb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovuswb, a, b);
        public Assembler Vpmovw2m(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovw2m, a, b);
        public Assembler Vpmovwb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovwb, a, b);
        public Assembler Vpmovwb(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovwb, a, b);
        public Assembler Vpmovzxbd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovzxbd, a, b);
        public Assembler Vpmovzxbd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovzxbd, a, b);
        public Assembler Vpmovzxbq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovzxbq, a, b);
        public Assembler Vpmovzxbq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovzxbq, a, b);
        public Assembler Vpmovzxbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovzxbw, a, b);
        public Assembler Vpmovzxbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovzxbw, a, b);
        public Assembler Vpmovzxdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovzxdq, a, b);
        public Assembler Vpmovzxdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovzxdq, a, b);
        public Assembler Vpmovzxwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovzxwd, a, b);
        public Assembler Vpmovzxwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovzxwd, a, b);
        public Assembler Vpmovzxwq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpmovzxwq, a, b);
        public Assembler Vpmovzxwq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpmovzxwq, a, b);
        public Assembler Vpmuldq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmuldq, a, b, c);
        public Assembler Vpmuldq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmuldq, a, b, c);
        public Assembler Vpmulhrsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmulhrsw, a, b, c);
        public Assembler Vpmulhrsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmulhrsw, a, b, c);
        public Assembler Vpmulhuw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmulhuw, a, b, c);
        public Assembler Vpmulhuw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmulhuw, a, b, c);
        public Assembler Vpmulhw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmulhw, a, b, c);
        public Assembler Vpmulhw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmulhw, a, b, c);
        public Assembler Vpmulld(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmulld, a, b, c);
        public Assembler Vpmulld(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmulld, a, b, c);
        public Assembler Vpmullq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmullq, a, b, c);
        public Assembler Vpmullq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmullq, a, b, c);
        public Assembler Vpmullw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmullw, a, b, c);
        public Assembler Vpmullw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmullw, a, b, c);
        public Assembler Vpmultishiftqb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmultishiftqb, a, b, c);
        public Assembler Vpmultishiftqb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmultishiftqb, a, b, c);
        public Assembler Vpmuludq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpmuludq, a, b, c);
        public Assembler Vpmuludq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpmuludq, a, b, c);
        public Assembler Vpopcntb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpopcntb, a, b);
        public Assembler Vpopcntb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpopcntb, a, b);
        public Assembler Vpopcntd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpopcntd, a, b);
        public Assembler Vpopcntd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpopcntd, a, b);
        public Assembler Vpopcntq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpopcntq, a, b);
        public Assembler Vpopcntq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpopcntq, a, b);
        public Assembler Vpopcntw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vpopcntw, a, b);
        public Assembler Vpopcntw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vpopcntw, a, b);
        public Assembler Vpor(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpor, a, b, c);
        public Assembler Vpor(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpor, a, b, c);
        public Assembler Vpord(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpord, a, b, c);
        public Assembler Vpord(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpord, a, b, c);
        public Assembler Vporq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vporq, a, b, c);
        public Assembler Vporq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vporq, a, b, c);
        public Assembler Vprold(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprold, a, b, c);
        public Assembler Vprold(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprold, a, b, c);
        public Assembler Vprolq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprolq, a, b, c);
        public Assembler Vprolq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprolq, a, b, c);
        public Assembler Vprolvd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprolvd, a, b, c);
        public Assembler Vprolvd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprolvd, a, b, c);
        public Assembler Vprolvq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprolvq, a, b, c);
        public Assembler Vprolvq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprolvq, a, b, c);
        public Assembler Vprord(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprord, a, b, c);
        public Assembler Vprord(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprord, a, b, c);
        public Assembler Vprorq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprorq, a, b, c);
        public Assembler Vprorq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprorq, a, b, c);
        public Assembler Vprorvd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprorvd, a, b, c);
        public Assembler Vprorvd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprorvd, a, b, c);
        public Assembler Vprorvq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprorvq, a, b, c);
        public Assembler Vprorvq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprorvq, a, b, c);
        public Assembler Vpsadbw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsadbw, a, b, c);
        public Assembler Vpsadbw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsadbw, a, b, c);
        public Assembler Vpscatterdd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpscatterdd, a, b);
        public Assembler Vpscatterdq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpscatterdq, a, b);
        public Assembler Vpscatterqd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpscatterqd, a, b);
        public Assembler Vpscatterqq(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vpscatterqq, a, b);
        public Assembler Vpshldd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpshldd, a, b, c, d);
        public Assembler Vpshldd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpshldd, a, b, c, d);
        public Assembler Vpshldvd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshldvd, a, b, c);
        public Assembler Vpshldvd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshldvd, a, b, c);
        public Assembler Vpshldvq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshldvq, a, b, c);
        public Assembler Vpshldvq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshldvq, a, b, c);
        public Assembler Vpshldvw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshldvw, a, b, c);
        public Assembler Vpshldvw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshldvw, a, b, c);
        public Assembler Vpshrdd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpshrdd, a, b, c, d);
        public Assembler Vpshrdd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpshrdd, a, b, c, d);
        public Assembler Vpshrdvd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshrdvd, a, b, c);
        public Assembler Vpshrdvd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshrdvd, a, b, c);
        public Assembler Vpshrdvq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshrdvq, a, b, c);
        public Assembler Vpshrdvq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshrdvq, a, b, c);
        public Assembler Vpshrdvw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshrdvw, a, b, c);
        public Assembler Vpshrdvw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshrdvw, a, b, c);
        public Assembler Vpshrdw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpshrdw, a, b, c, d);
        public Assembler Vpshrdw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpshrdw, a, b, c, d);
        public Assembler Vpshufb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshufb, a, b, c);
        public Assembler Vpshufb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshufb, a, b, c);
        public Assembler Vpshufbitqmb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshufbitqmb, a, b, c);
        public Assembler Vpshufbitqmb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshufbitqmb, a, b, c);
        public Assembler Vpshufd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpshufd, a, b, c);
        public Assembler Vpshufd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpshufd, a, b, c);
        public Assembler Vpshufhw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpshufhw, a, b, c);
        public Assembler Vpshufhw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpshufhw, a, b, c);
        public Assembler Vpshuflw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpshuflw, a, b, c);
        public Assembler Vpshuflw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpshuflw, a, b, c);
        public Assembler Vpsignb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsignb, a, b, c);
        public Assembler Vpsignb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsignb, a, b, c);
        public Assembler Vpsignd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsignd, a, b, c);
        public Assembler Vpsignd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsignd, a, b, c);
        public Assembler Vpsignw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsignw, a, b, c);
        public Assembler Vpsignw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsignw, a, b, c);
        public Assembler Vpslld(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpslld, a, b, c);
        public Assembler Vpslld(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpslld, a, b, c);
        public Assembler Vpslld(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpslld, a, b, c);
        public Assembler Vpslld(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpslld, a, b, c);
        public Assembler Vpslldq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpslldq, a, b, c);
        public Assembler Vpslldq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpslldq, a, b, c);
        public Assembler Vpsllq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsllq, a, b, c);
        public Assembler Vpsllq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsllq, a, b, c);
        public Assembler Vpsllq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsllq, a, b, c);
        public Assembler Vpsllq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsllq, a, b, c);
        public Assembler Vpsllvd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsllvd, a, b, c);
        public Assembler Vpsllvd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsllvd, a, b, c);
        public Assembler Vpsllvq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsllvq, a, b, c);
        public Assembler Vpsllvq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsllvq, a, b, c);
        public Assembler Vpsllvw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsllvw, a, b, c);
        public Assembler Vpsllvw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsllvw, a, b, c);
        public Assembler Vpsllw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsllw, a, b, c);
        public Assembler Vpsllw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsllw, a, b, c);
        public Assembler Vpsllw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsllw, a, b, c);
        public Assembler Vpsllw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsllw, a, b, c);
        public Assembler Vpsrad(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrad, a, b, c);
        public Assembler Vpsrad(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrad, a, b, c);
        public Assembler Vpsrad(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrad, a, b, c);
        public Assembler Vpsrad(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrad, a, b, c);
        public Assembler Vpsraq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsraq, a, b, c);
        public Assembler Vpsraq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsraq, a, b, c);
        public Assembler Vpsraq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsraq, a, b, c);
        public Assembler Vpsraq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsraq, a, b, c);
        public Assembler Vpsravd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsravd, a, b, c);
        public Assembler Vpsravd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsravd, a, b, c);
        public Assembler Vpsravq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsravq, a, b, c);
        public Assembler Vpsravq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsravq, a, b, c);
        public Assembler Vpsravw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsravw, a, b, c);
        public Assembler Vpsravw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsravw, a, b, c);
        public Assembler Vpsraw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsraw, a, b, c);
        public Assembler Vpsraw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsraw, a, b, c);
        public Assembler Vpsraw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsraw, a, b, c);
        public Assembler Vpsraw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsraw, a, b, c);
        public Assembler Vpsrld(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrld, a, b, c);
        public Assembler Vpsrld(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrld, a, b, c);
        public Assembler Vpsrld(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrld, a, b, c);
        public Assembler Vpsrld(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrld, a, b, c);
        public Assembler Vpsrldq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrldq, a, b, c);
        public Assembler Vpsrldq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrldq, a, b, c);
        public Assembler Vpsrlq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrlq, a, b, c);
        public Assembler Vpsrlq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrlq, a, b, c);
        public Assembler Vpsrlq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrlq, a, b, c);
        public Assembler Vpsrlq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrlq, a, b, c);
        public Assembler Vpsrlvd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrlvd, a, b, c);
        public Assembler Vpsrlvd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrlvd, a, b, c);
        public Assembler Vpsrlvq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrlvq, a, b, c);
        public Assembler Vpsrlvq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrlvq, a, b, c);
        public Assembler Vpsrlvw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrlvw, a, b, c);
        public Assembler Vpsrlvw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrlvw, a, b, c);
        public Assembler Vpsrlw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsrlw, a, b, c);
        public Assembler Vpsrlw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsrlw, a, b, c);
        public Assembler Vpsrlw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrlw, a, b, c);
        public Assembler Vpsrlw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpsrlw, a, b, c);
        public Assembler Vpsubb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubb, a, b, c);
        public Assembler Vpsubb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubb, a, b, c);
        public Assembler Vpsubd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubd, a, b, c);
        public Assembler Vpsubd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubd, a, b, c);
        public Assembler Vpsubq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubq, a, b, c);
        public Assembler Vpsubq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubq, a, b, c);
        public Assembler Vpsubsb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubsb, a, b, c);
        public Assembler Vpsubsb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubsb, a, b, c);
        public Assembler Vpsubsw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubsw, a, b, c);
        public Assembler Vpsubsw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubsw, a, b, c);
        public Assembler Vpsubusb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubusb, a, b, c);
        public Assembler Vpsubusb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubusb, a, b, c);
        public Assembler Vpsubusw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubusw, a, b, c);
        public Assembler Vpsubusw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubusw, a, b, c);
        public Assembler Vpsubw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpsubw, a, b, c);
        public Assembler Vpsubw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpsubw, a, b, c);
        public Assembler Vpternlogd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpternlogd, a, b, c, d);
        public Assembler Vpternlogd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpternlogd, a, b, c, d);
        public Assembler Vpternlogq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpternlogq, a, b, c, d);
        public Assembler Vpternlogq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpternlogq, a, b, c, d);
        public Assembler Vptest(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vptest, a, b);
        public Assembler Vptest(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vptest, a, b);
        public Assembler Vptestmb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestmb, a, b, c);
        public Assembler Vptestmb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestmb, a, b, c);
        public Assembler Vptestmd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestmd, a, b, c);
        public Assembler Vptestmd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestmd, a, b, c);
        public Assembler Vptestmq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestmq, a, b, c);
        public Assembler Vptestmq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestmq, a, b, c);
        public Assembler Vptestmw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestmw, a, b, c);
        public Assembler Vptestmw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestmw, a, b, c);
        public Assembler Vptestnmb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestnmb, a, b, c);
        public Assembler Vptestnmb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestnmb, a, b, c);
        public Assembler Vptestnmd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestnmd, a, b, c);
        public Assembler Vptestnmd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestnmd, a, b, c);
        public Assembler Vptestnmq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestnmq, a, b, c);
        public Assembler Vptestnmq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestnmq, a, b, c);
        public Assembler Vptestnmw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vptestnmw, a, b, c);
        public Assembler Vptestnmw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vptestnmw, a, b, c);
        public Assembler Vpunpckhbw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpckhbw, a, b, c);
        public Assembler Vpunpckhbw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpckhbw, a, b, c);
        public Assembler Vpunpckhdq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpckhdq, a, b, c);
        public Assembler Vpunpckhdq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpckhdq, a, b, c);
        public Assembler Vpunpckhqdq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpckhqdq, a, b, c);
        public Assembler Vpunpckhqdq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpckhqdq, a, b, c);
        public Assembler Vpunpckhwd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpckhwd, a, b, c);
        public Assembler Vpunpckhwd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpckhwd, a, b, c);
        public Assembler Vpunpcklbw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpcklbw, a, b, c);
        public Assembler Vpunpcklbw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpcklbw, a, b, c);
        public Assembler Vpunpckldq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpckldq, a, b, c);
        public Assembler Vpunpckldq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpckldq, a, b, c);
        public Assembler Vpunpcklqdq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpcklqdq, a, b, c);
        public Assembler Vpunpcklqdq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpcklqdq, a, b, c);
        public Assembler Vpunpcklwd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpunpcklwd, a, b, c);
        public Assembler Vpunpcklwd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpunpcklwd, a, b, c);
        public Assembler Vpxor(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpxor, a, b, c);
        public Assembler Vpxor(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpxor, a, b, c);
        public Assembler Vpxord(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpxord, a, b, c);
        public Assembler Vpxord(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpxord, a, b, c);
        public Assembler Vpxorq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpxorq, a, b, c);
        public Assembler Vpxorq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpxorq, a, b, c);
        public Assembler Vrangepd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangepd, a, b, c, d);
        public Assembler Vrangepd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangepd, a, b, c, d);
        public Assembler Vrangeps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangeps, a, b, c, d);
        public Assembler Vrangeps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangeps, a, b, c, d);
        public Assembler Vrangesd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangesd, a, b, c, d);
        public Assembler Vrangesd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangesd, a, b, c, d);
        public Assembler Vrangess(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangess, a, b, c, d);
        public Assembler Vrangess(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrangess, a, b, c, d);
        public Assembler Vrcp14pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrcp14pd, a, b);
        public Assembler Vrcp14pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrcp14pd, a, b);
        public Assembler Vrcp14ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrcp14ps, a, b);
        public Assembler Vrcp14ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrcp14ps, a, b);
        public Assembler Vrcp14sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrcp14sd, a, b, c);
        public Assembler Vrcp14sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrcp14sd, a, b, c);
        public Assembler Vrcp14ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrcp14ss, a, b, c);
        public Assembler Vrcp14ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrcp14ss, a, b, c);
        public Assembler Vrcp28pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrcp28pd, a, b);
        public Assembler Vrcp28pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrcp28pd, a, b);
        public Assembler Vrcp28ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrcp28ps, a, b);
        public Assembler Vrcp28ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrcp28ps, a, b);
        public Assembler Vrcp28sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrcp28sd, a, b, c);
        public Assembler Vrcp28sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrcp28sd, a, b, c);
        public Assembler Vrcp28ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrcp28ss, a, b, c);
        public Assembler Vrcp28ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrcp28ss, a, b, c);
        public Assembler Vrcpps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrcpps, a, b);
        public Assembler Vrcpps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrcpps, a, b);
        public Assembler Vrcpss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrcpss, a, b, c);
        public Assembler Vrcpss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrcpss, a, b, c);
        public Assembler Vreducepd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vreducepd, a, b, c);
        public Assembler Vreducepd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vreducepd, a, b, c);
        public Assembler Vreduceps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vreduceps, a, b, c);
        public Assembler Vreduceps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vreduceps, a, b, c);
        public Assembler Vreducesd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vreducesd, a, b, c, d);
        public Assembler Vreducesd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vreducesd, a, b, c, d);
        public Assembler Vreducess(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vreducess, a, b, c, d);
        public Assembler Vreducess(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vreducess, a, b, c, d);
        public Assembler Vrndscalepd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vrndscalepd, a, b, c);
        public Assembler Vrndscalepd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vrndscalepd, a, b, c);
        public Assembler Vrndscaleps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vrndscaleps, a, b, c);
        public Assembler Vrndscaleps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vrndscaleps, a, b, c);
        public Assembler Vrndscalesd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrndscalesd, a, b, c, d);
        public Assembler Vrndscalesd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrndscalesd, a, b, c, d);
        public Assembler Vrndscaless(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrndscaless, a, b, c, d);
        public Assembler Vrndscaless(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vrndscaless, a, b, c, d);
        public Assembler Vroundpd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vroundpd, a, b, c);
        public Assembler Vroundpd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vroundpd, a, b, c);
        public Assembler Vroundps(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vroundps, a, b, c);
        public Assembler Vroundps(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vroundps, a, b, c);
        public Assembler Vroundsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vroundsd, a, b, c, d);
        public Assembler Vroundsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vroundsd, a, b, c, d);
        public Assembler Vroundss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vroundss, a, b, c, d);
        public Assembler Vroundss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vroundss, a, b, c, d);
        public Assembler Vrsqrt14pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrsqrt14pd, a, b);
        public Assembler Vrsqrt14pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrsqrt14pd, a, b);
        public Assembler Vrsqrt14ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrsqrt14ps, a, b);
        public Assembler Vrsqrt14ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrsqrt14ps, a, b);
        public Assembler Vrsqrt14sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrsqrt14sd, a, b, c);
        public Assembler Vrsqrt14sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrsqrt14sd, a, b, c);
        public Assembler Vrsqrt14ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrsqrt14ss, a, b, c);
        public Assembler Vrsqrt14ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrsqrt14ss, a, b, c);
        public Assembler Vrsqrt28pd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrsqrt28pd, a, b);
        public Assembler Vrsqrt28pd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrsqrt28pd, a, b);
        public Assembler Vrsqrt28ps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrsqrt28ps, a, b);
        public Assembler Vrsqrt28ps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrsqrt28ps, a, b);
        public Assembler Vrsqrt28sd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrsqrt28sd, a, b, c);
        public Assembler Vrsqrt28sd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrsqrt28sd, a, b, c);
        public Assembler Vrsqrt28ss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrsqrt28ss, a, b, c);
        public Assembler Vrsqrt28ss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrsqrt28ss, a, b, c);
        public Assembler Vrsqrtps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vrsqrtps, a, b);
        public Assembler Vrsqrtps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vrsqrtps, a, b);
        public Assembler Vrsqrtss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vrsqrtss, a, b, c);
        public Assembler Vrsqrtss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vrsqrtss, a, b, c);
        public Assembler Vscalefpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vscalefpd, a, b, c);
        public Assembler Vscalefpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vscalefpd, a, b, c);
        public Assembler Vscalefps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vscalefps, a, b, c);
        public Assembler Vscalefps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vscalefps, a, b, c);
        public Assembler Vscalefsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vscalefsd, a, b, c);
        public Assembler Vscalefsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vscalefsd, a, b, c);
        public Assembler Vscalefss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vscalefss, a, b, c);
        public Assembler Vscalefss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vscalefss, a, b, c);
        public Assembler Vscatterdpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vscatterdpd, a, b);
        public Assembler Vscatterdps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vscatterdps, a, b);
        public Assembler Vscatterpf0dpd(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf0dpd, a);
        public Assembler Vscatterpf0dps(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf0dps, a);
        public Assembler Vscatterpf0qpd(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf0qpd, a);
        public Assembler Vscatterpf0qps(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf0qps, a);
        public Assembler Vscatterpf1dpd(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf1dpd, a);
        public Assembler Vscatterpf1dps(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf1dps, a);
        public Assembler Vscatterpf1qpd(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf1qpd, a);
        public Assembler Vscatterpf1qps(Operand.Memory a) => CreateInstr(Mnemonic.Vscatterpf1qps, a);
        public Assembler Vscatterqpd(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vscatterqpd, a, b);
        public Assembler Vscatterqps(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Vscatterqps, a, b);
        public Assembler Vshuff32x4(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshuff32x4, a, b, c, d);
        public Assembler Vshuff32x4(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshuff32x4, a, b, c, d);
        public Assembler Vshuff64x2(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshuff64x2, a, b, c, d);
        public Assembler Vshuff64x2(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshuff64x2, a, b, c, d);
        public Assembler Vshufi32x4(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufi32x4, a, b, c, d);
        public Assembler Vshufi32x4(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufi32x4, a, b, c, d);
        public Assembler Vshufi64x2(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufi64x2, a, b, c, d);
        public Assembler Vshufi64x2(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufi64x2, a, b, c, d);
        public Assembler Vshufpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufpd, a, b, c, d);
        public Assembler Vshufpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufpd, a, b, c, d);
        public Assembler Vshufps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufps, a, b, c, d);
        public Assembler Vshufps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vshufps, a, b, c, d);
        public Assembler Vsqrtpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vsqrtpd, a, b);
        public Assembler Vsqrtpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vsqrtpd, a, b);
        public Assembler Vsqrtps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vsqrtps, a, b);
        public Assembler Vsqrtps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vsqrtps, a, b);
        public Assembler Vsqrtsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vsqrtsd, a, b, c);
        public Assembler Vsqrtsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vsqrtsd, a, b, c);
        public Assembler Vsqrtss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vsqrtss, a, b, c);
        public Assembler Vsqrtss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vsqrtss, a, b, c);
        public Assembler Vstmxcsr(Operand.Memory a) => CreateInstr(Mnemonic.Vstmxcsr, a);
        public Assembler Vsubpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vsubpd, a, b, c);
        public Assembler Vsubpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vsubpd, a, b, c);
        public Assembler Vsubps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vsubps, a, b, c);
        public Assembler Vsubps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vsubps, a, b, c);
        public Assembler Vsubsd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vsubsd, a, b, c);
        public Assembler Vsubsd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vsubsd, a, b, c);
        public Assembler Vsubss(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vsubss, a, b, c);
        public Assembler Vsubss(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vsubss, a, b, c);
        public Assembler Vtestpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vtestpd, a, b);
        public Assembler Vtestpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vtestpd, a, b);
        public Assembler Vtestps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vtestps, a, b);
        public Assembler Vtestps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vtestps, a, b);
        public Assembler Vucomisd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vucomisd, a, b);
        public Assembler Vucomisd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vucomisd, a, b);
        public Assembler Vucomiss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vucomiss, a, b);
        public Assembler Vucomiss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vucomiss, a, b);
        public Assembler Vunpckhpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vunpckhpd, a, b, c);
        public Assembler Vunpckhpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vunpckhpd, a, b, c);
        public Assembler Vunpckhps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vunpckhps, a, b, c);
        public Assembler Vunpckhps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vunpckhps, a, b, c);
        public Assembler Vunpcklpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vunpcklpd, a, b, c);
        public Assembler Vunpcklpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vunpcklpd, a, b, c);
        public Assembler Vunpcklps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vunpcklps, a, b, c);
        public Assembler Vunpcklps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vunpcklps, a, b, c);
        public Assembler Vxorpd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vxorpd, a, b, c);
        public Assembler Vxorpd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vxorpd, a, b, c);
        public Assembler Vxorps(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vxorps, a, b, c);
        public Assembler Vxorps(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vxorps, a, b, c);
        public Assembler Vzeroall() => CreateInstr(Mnemonic.Vzeroall);
        public Assembler Vzeroupper() => CreateInstr(Mnemonic.Vzeroupper);
        public Assembler Vfmaddpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddpd, a, b, c, d);
        public Assembler Vfmaddpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddpd, a, b, c, d);
        public Assembler Vfmaddpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmaddpd, a, b, c, d);
        public Assembler Vfmaddps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddps, a, b, c, d);
        public Assembler Vfmaddps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddps, a, b, c, d);
        public Assembler Vfmaddps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmaddps, a, b, c, d);
        public Assembler Vfmaddsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddsd, a, b, c, d);
        public Assembler Vfmaddsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddsd, a, b, c, d);
        public Assembler Vfmaddsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmaddsd, a, b, c, d);
        public Assembler Vfmaddss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddss, a, b, c, d);
        public Assembler Vfmaddss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddss, a, b, c, d);
        public Assembler Vfmaddss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmaddss, a, b, c, d);
        public Assembler Vfmaddsubpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddsubpd, a, b, c, d);
        public Assembler Vfmaddsubpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddsubpd, a, b, c, d);
        public Assembler Vfmaddsubpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmaddsubpd, a, b, c, d);
        public Assembler Vfmaddsubps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddsubps, a, b, c, d);
        public Assembler Vfmaddsubps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmaddsubps, a, b, c, d);
        public Assembler Vfmaddsubps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmaddsubps, a, b, c, d);
        public Assembler Vfmsubaddpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubaddpd, a, b, c, d);
        public Assembler Vfmsubaddpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubaddpd, a, b, c, d);
        public Assembler Vfmsubaddpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmsubaddpd, a, b, c, d);
        public Assembler Vfmsubaddps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubaddps, a, b, c, d);
        public Assembler Vfmsubaddps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubaddps, a, b, c, d);
        public Assembler Vfmsubaddps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmsubaddps, a, b, c, d);
        public Assembler Vfmsubpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubpd, a, b, c, d);
        public Assembler Vfmsubpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubpd, a, b, c, d);
        public Assembler Vfmsubpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmsubpd, a, b, c, d);
        public Assembler Vfmsubps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubps, a, b, c, d);
        public Assembler Vfmsubps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubps, a, b, c, d);
        public Assembler Vfmsubps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmsubps, a, b, c, d);
        public Assembler Vfmsubsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubsd, a, b, c, d);
        public Assembler Vfmsubsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubsd, a, b, c, d);
        public Assembler Vfmsubsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmsubsd, a, b, c, d);
        public Assembler Vfmsubss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubss, a, b, c, d);
        public Assembler Vfmsubss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfmsubss, a, b, c, d);
        public Assembler Vfmsubss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfmsubss, a, b, c, d);
        public Assembler Vfnmaddpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddpd, a, b, c, d);
        public Assembler Vfnmaddpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddpd, a, b, c, d);
        public Assembler Vfnmaddpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmaddpd, a, b, c, d);
        public Assembler Vfnmaddps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddps, a, b, c, d);
        public Assembler Vfnmaddps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddps, a, b, c, d);
        public Assembler Vfnmaddps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmaddps, a, b, c, d);
        public Assembler Vfnmaddsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddsd, a, b, c, d);
        public Assembler Vfnmaddsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddsd, a, b, c, d);
        public Assembler Vfnmaddsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmaddsd, a, b, c, d);
        public Assembler Vfnmaddss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddss, a, b, c, d);
        public Assembler Vfnmaddss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmaddss, a, b, c, d);
        public Assembler Vfnmaddss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmaddss, a, b, c, d);
        public Assembler Vfnmsubpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubpd, a, b, c, d);
        public Assembler Vfnmsubpd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubpd, a, b, c, d);
        public Assembler Vfnmsubpd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmsubpd, a, b, c, d);
        public Assembler Vfnmsubps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubps, a, b, c, d);
        public Assembler Vfnmsubps(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubps, a, b, c, d);
        public Assembler Vfnmsubps(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmsubps, a, b, c, d);
        public Assembler Vfnmsubsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubsd, a, b, c, d);
        public Assembler Vfnmsubsd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubsd, a, b, c, d);
        public Assembler Vfnmsubsd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmsubsd, a, b, c, d);
        public Assembler Vfnmsubss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubss, a, b, c, d);
        public Assembler Vfnmsubss(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vfnmsubss, a, b, c, d);
        public Assembler Vfnmsubss(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vfnmsubss, a, b, c, d);
        public Assembler Vfrczpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vfrczpd, a, b);
        public Assembler Vfrczpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vfrczpd, a, b);
        public Assembler Vfrczps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vfrczps, a, b);
        public Assembler Vfrczps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vfrczps, a, b);
        public Assembler Vfrczsd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vfrczsd, a, b);
        public Assembler Vfrczsd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vfrczsd, a, b);
        public Assembler Vfrczss(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vfrczss, a, b);
        public Assembler Vfrczss(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vfrczss, a, b);
        public Assembler Vpcmov(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpcmov, a, b, c, d);
        public Assembler Vpcmov(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpcmov, a, b, c, d);
        public Assembler Vpcmov(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vpcmov, a, b, c, d);
        public Assembler Vpcomb(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomb, a, b, c, d);
        public Assembler Vpcomb(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomb, a, b, c, d);
        public Assembler Vpcomd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomd, a, b, c, d);
        public Assembler Vpcomd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomd, a, b, c, d);
        public Assembler Vpcomq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomq, a, b, c, d);
        public Assembler Vpcomq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomq, a, b, c, d);
        public Assembler Vpcomw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomw, a, b, c, d);
        public Assembler Vpcomw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomw, a, b, c, d);
        public Assembler Vpcomub(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomub, a, b, c, d);
        public Assembler Vpcomub(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomub, a, b, c, d);
        public Assembler Vpcomud(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomud, a, b, c, d);
        public Assembler Vpcomud(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomud, a, b, c, d);
        public Assembler Vpcomuq(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomuq, a, b, c, d);
        public Assembler Vpcomuq(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomuq, a, b, c, d);
        public Assembler Vpcomuw(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomuw, a, b, c, d);
        public Assembler Vpcomuw(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Immediate d) => CreateInstr(Mnemonic.Vpcomuw, a, b, c, d);
        public Assembler Vphaddbd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddbd, a, b);
        public Assembler Vphaddbd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddbd, a, b);
        public Assembler Vphaddbq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddbq, a, b);
        public Assembler Vphaddbq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddbq, a, b);
        public Assembler Vphaddbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddbw, a, b);
        public Assembler Vphaddbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddbw, a, b);
        public Assembler Vphadddq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphadddq, a, b);
        public Assembler Vphadddq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphadddq, a, b);
        public Assembler Vphaddwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddwd, a, b);
        public Assembler Vphaddwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddwd, a, b);
        public Assembler Vphaddwq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddwq, a, b);
        public Assembler Vphaddwq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddwq, a, b);
        public Assembler Vphaddubd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddubd, a, b);
        public Assembler Vphaddubd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddubd, a, b);
        public Assembler Vphaddubq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddubq, a, b);
        public Assembler Vphaddubq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddubq, a, b);
        public Assembler Vphaddubw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddubw, a, b);
        public Assembler Vphaddubw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddubw, a, b);
        public Assembler Vphaddudq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphaddudq, a, b);
        public Assembler Vphaddudq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphaddudq, a, b);
        public Assembler Vphadduwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphadduwd, a, b);
        public Assembler Vphadduwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphadduwd, a, b);
        public Assembler Vphadduwq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphadduwq, a, b);
        public Assembler Vphadduwq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphadduwq, a, b);
        public Assembler Vphsubbw(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphsubbw, a, b);
        public Assembler Vphsubbw(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphsubbw, a, b);
        public Assembler Vphsubdq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphsubdq, a, b);
        public Assembler Vphsubdq(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphsubdq, a, b);
        public Assembler Vphsubwd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vphsubwd, a, b);
        public Assembler Vphsubwd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Vphsubwd, a, b);
        public Assembler Vpmacsdd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsdd, a, b, c, d);
        public Assembler Vpmacsdd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsdd, a, b, c, d);
        public Assembler Vpmacsdqh(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsdqh, a, b, c, d);
        public Assembler Vpmacsdqh(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsdqh, a, b, c, d);
        public Assembler Vpmacsdql(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsdql, a, b, c, d);
        public Assembler Vpmacsdql(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsdql, a, b, c, d);
        public Assembler Vpmacswd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacswd, a, b, c, d);
        public Assembler Vpmacswd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacswd, a, b, c, d);
        public Assembler Vpmacsww(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsww, a, b, c, d);
        public Assembler Vpmacsww(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsww, a, b, c, d);
        public Assembler Vpmacssdd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssdd, a, b, c, d);
        public Assembler Vpmacssdd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssdd, a, b, c, d);
        public Assembler Vpmacssdqh(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssdqh, a, b, c, d);
        public Assembler Vpmacssdqh(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssdqh, a, b, c, d);
        public Assembler Vpmacssdql(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssdql, a, b, c, d);
        public Assembler Vpmacssdql(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssdql, a, b, c, d);
        public Assembler Vpmacsswd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsswd, a, b, c, d);
        public Assembler Vpmacsswd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacsswd, a, b, c, d);
        public Assembler Vpmacssww(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssww, a, b, c, d);
        public Assembler Vpmacssww(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmacssww, a, b, c, d);
        public Assembler Vpmadcsswd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmadcsswd, a, b, c, d);
        public Assembler Vpmadcsswd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmadcsswd, a, b, c, d);
        public Assembler Vpmadcswd(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpmadcswd, a, b, c, d);
        public Assembler Vpmadcswd(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpmadcswd, a, b, c, d);
        public Assembler Vpperm(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Register d) => CreateInstr(Mnemonic.Vpperm, a, b, c, d);
        public Assembler Vpperm(Operand.Register a, Operand.Register b, Operand.Memory c, Operand.Register d) => CreateInstr(Mnemonic.Vpperm, a, b, c, d);
        public Assembler Vpperm(Operand.Register a, Operand.Register b, Operand.Register c, Operand.Memory d) => CreateInstr(Mnemonic.Vpperm, a, b, c, d);
        public Assembler Vprotb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprotb, a, b, c);
        public Assembler Vprotb(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vprotb, a, b, c);
        public Assembler Vprotb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprotb, a, b, c);
        public Assembler Vprotb(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotb, a, b, c);
        public Assembler Vprotb(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotb, a, b, c);
        public Assembler Vprotd(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprotd, a, b, c);
        public Assembler Vprotd(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vprotd, a, b, c);
        public Assembler Vprotd(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprotd, a, b, c);
        public Assembler Vprotd(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotd, a, b, c);
        public Assembler Vprotd(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotd, a, b, c);
        public Assembler Vprotq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprotq, a, b, c);
        public Assembler Vprotq(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vprotq, a, b, c);
        public Assembler Vprotq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprotq, a, b, c);
        public Assembler Vprotq(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotq, a, b, c);
        public Assembler Vprotq(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotq, a, b, c);
        public Assembler Vprotw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vprotw, a, b, c);
        public Assembler Vprotw(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vprotw, a, b, c);
        public Assembler Vprotw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vprotw, a, b, c);
        public Assembler Vprotw(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotw, a, b, c);
        public Assembler Vprotw(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vprotw, a, b, c);
        public Assembler Vpshab(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshab, a, b, c);
        public Assembler Vpshab(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshab, a, b, c);
        public Assembler Vpshab(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshab, a, b, c);
        public Assembler Vpshad(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshad, a, b, c);
        public Assembler Vpshad(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshad, a, b, c);
        public Assembler Vpshad(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshad, a, b, c);
        public Assembler Vpshaq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshaq, a, b, c);
        public Assembler Vpshaq(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshaq, a, b, c);
        public Assembler Vpshaq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshaq, a, b, c);
        public Assembler Vpshaw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshaw, a, b, c);
        public Assembler Vpshaw(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshaw, a, b, c);
        public Assembler Vpshaw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshaw, a, b, c);
        public Assembler Vpshlb(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshlb, a, b, c);
        public Assembler Vpshlb(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshlb, a, b, c);
        public Assembler Vpshlb(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshlb, a, b, c);
        public Assembler Vpshld(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshld, a, b, c);
        public Assembler Vpshld(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshld, a, b, c);
        public Assembler Vpshld(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshld, a, b, c);
        public Assembler Vpshlq(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshlq, a, b, c);
        public Assembler Vpshlq(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshlq, a, b, c);
        public Assembler Vpshlq(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshlq, a, b, c);
        public Assembler Vpshlw(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Vpshlw, a, b, c);
        public Assembler Vpshlw(Operand.Register a, Operand.Memory b, Operand.Register c) => CreateInstr(Mnemonic.Vpshlw, a, b, c);
        public Assembler Vpshlw(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Vpshlw, a, b, c);
        public Assembler Cbw() => CreateInstr(Mnemonic.Cbw);
        public Assembler Cdq() => CreateInstr(Mnemonic.Cdq);
        public Assembler Cdqe() => CreateInstr(Mnemonic.Cdqe);
        public Assembler Cmpxchg(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Cmpxchg, a, b);
        public Assembler Cmpxchg(Operand.Memory a, Operand.Register b) => CreateInstr(Mnemonic.Cmpxchg, a, b);
        public Assembler Cmpxchg16b(Operand.Memory a) => CreateInstr(Mnemonic.Cmpxchg16b, a);
        public Assembler Cmpxchg8b(Operand.Memory a) => CreateInstr(Mnemonic.Cmpxchg8b, a);
        public Assembler Cpuid() => CreateInstr(Mnemonic.Cpuid);
        public Assembler Cqo() => CreateInstr(Mnemonic.Cqo);
        public Assembler Cwd() => CreateInstr(Mnemonic.Cwd);
        public Assembler Cwde() => CreateInstr(Mnemonic.Cwde);
        public Assembler Daa() => CreateInstr(Mnemonic.Daa);
        public Assembler Das() => CreateInstr(Mnemonic.Das);
        public Assembler Div(Operand.Register a) => CreateInstr(Mnemonic.Div, a);
        public Assembler Div(Operand.Memory a) => CreateInstr(Mnemonic.Div, a);
        public Assembler Idiv(Operand.Register a) => CreateInstr(Mnemonic.Idiv, a);
        public Assembler Idiv(Operand.Memory a) => CreateInstr(Mnemonic.Idiv, a);
        public Assembler Imul(Operand.Register a) => CreateInstr(Mnemonic.Imul, a);
        public Assembler Imul(Operand.Memory a) => CreateInstr(Mnemonic.Imul, a);
        public Assembler Iret() => CreateInstr(Mnemonic.Iret);
        public Assembler Iretd() => CreateInstr(Mnemonic.Iretd);
        public Assembler Iretq() => CreateInstr(Mnemonic.Iretq);
        //public Assembler Jecxz(Label a) => CreateInstr(Mnemonic.Jecxz, a);
        public Assembler Jecxz(Operand.Immediate a) => CreateInstr(Mnemonic.Jecxz, a);
        public Assembler Lahf() => CreateInstr(Mnemonic.Lahf);
        //public Assembler Loop(Label a) => CreateInstr(Mnemonic.Loop, a);
        public Assembler Loop(Operand.Immediate a) => CreateInstr(Mnemonic.Loop, a);
        //public Assembler Loope(Label a) => CreateInstr(Mnemonic.Loope, a);
        public Assembler Loope(Operand.Immediate a) => CreateInstr(Mnemonic.Loope, a);
        //public Assembler Loopne(Label a) => CreateInstr(Mnemonic.Loopne, a);
        public Assembler Loopne(Operand.Immediate a) => CreateInstr(Mnemonic.Loopne, a);
        public Assembler Mul(Operand.Register a) => CreateInstr(Mnemonic.Mul, a);
        public Assembler Mul(Operand.Memory a) => CreateInstr(Mnemonic.Mul, a);
        public Assembler Rdmsr() => CreateInstr(Mnemonic.Rdmsr);
        public Assembler Rdpmc() => CreateInstr(Mnemonic.Rdpmc);
        public Assembler Rdtsc() => CreateInstr(Mnemonic.Rdtsc);
        public Assembler Rdtscp() => CreateInstr(Mnemonic.Rdtscp);
        public Assembler Ret() => CreateInstr(Mnemonic.Ret);
        public Assembler Ret(Operand.Immediate a) => CreateInstr(Mnemonic.Ret, a);
        public Assembler Sahf() => CreateInstr(Mnemonic.Sahf);
        public Assembler Syscall() => CreateInstr(Mnemonic.Syscall);
        public Assembler Sysenter() => CreateInstr(Mnemonic.Sysenter);
        public Assembler Sysexit() => CreateInstr(Mnemonic.Sysexit);
        public Assembler Sysexit64() => CreateInstr(Mnemonic.Sysexit);
        public Assembler Sysret() => CreateInstr(Mnemonic.Sysret);
        public Assembler Sysret64() => CreateInstr(Mnemonic.Sysret);
        public Assembler Wrmsr() => CreateInstr(Mnemonic.Wrmsr);
        public Assembler Xlatb() => CreateInstr(Mnemonic.Xlat);
        //! \name CL Instructions
        public Assembler Clzero() => CreateInstr(Mnemonic.Clzero);
        public Assembler Mulx(Operand.Register a, Operand.Register b, Operand.Register c) => CreateInstr(Mnemonic.Mulx, a, b, c);
        public Assembler Mulx(Operand.Register a, Operand.Register b, Operand.Memory c) => CreateInstr(Mnemonic.Mulx, a, b, c);
        public Assembler Xgetbv() => CreateInstr(Mnemonic.Xgetbv);
        public Assembler Xrstor(Operand.Memory a) => CreateInstr(Mnemonic.Xrstor, a);
        public Assembler Xrstor64(Operand.Memory a) => CreateInstr(Mnemonic.Xrstor64, a);
        public Assembler Xrstors(Operand.Memory a) => CreateInstr(Mnemonic.Xrstors, a);
        public Assembler Xrstors64(Operand.Memory a) => CreateInstr(Mnemonic.Xrstors64, a);
        public Assembler Xsave(Operand.Memory a) => CreateInstr(Mnemonic.Xsave, a);
        public Assembler Xsave64(Operand.Memory a) => CreateInstr(Mnemonic.Xsave64, a);
        public Assembler Xsavec(Operand.Memory a) => CreateInstr(Mnemonic.Xsavec, a);
        public Assembler Xsavec64(Operand.Memory a) => CreateInstr(Mnemonic.Xsavec64, a);
        public Assembler Xsaveopt(Operand.Memory a) => CreateInstr(Mnemonic.Xsaveopt, a);
        public Assembler Xsaveopt64(Operand.Memory a) => CreateInstr(Mnemonic.Xsaveopt64, a);
        public Assembler Xsaves(Operand.Memory a) => CreateInstr(Mnemonic.Xsaves, a);
        public Assembler Xsaves64(Operand.Memory a) => CreateInstr(Mnemonic.Xsaves64, a);
        public Assembler Xsetbv() => CreateInstr(Mnemonic.Xsetbv);

        public Assembler Monitor() => CreateInstr(Mnemonic.Monitor);
        public Assembler Monitorx() => CreateInstr(Mnemonic.Monitorx);
        public Assembler Mwait() => CreateInstr(Mnemonic.Mwait);
        public Assembler Mwaitx() => CreateInstr(Mnemonic.Mwaitx);
        //! \}
        //! \name MMX & SSE Instructions
        //! \{
        public Assembler Blendvpd(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blendvpd, a, b);
        public Assembler Blendvpd(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blendvpd, a, b);
        public Assembler Blendvps(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Blendvps, a, b);
        public Assembler Blendvps(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Blendvps, a, b);
        public Assembler Pblendvb(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Pblendvb, a, b);
        public Assembler Pblendvb(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Pblendvb, a, b);
        public Assembler Maskmovq(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Maskmovq, a, b);
        public Assembler Maskmovdqu(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Maskmovdqu, a, b);
        public Assembler Pcmpestri(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpestri, a, b, c);
        public Assembler Pcmpestri(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpestri, a, b, c);
        public Assembler Pcmpestrm(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpestrm, a, b, c);
        public Assembler Pcmpestrm(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpestrm, a, b, c);
        public Assembler Pcmpistri(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpistri, a, b, c);
        public Assembler Pcmpistri(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpistri, a, b, c);
        public Assembler Pcmpistrm(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpistrm, a, b, c);
        public Assembler Pcmpistrm(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Pcmpistrm, a, b, c);
        public Assembler Sha256rnds2(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Sha256rnds2, a, b);
        public Assembler Sha256rnds2(Operand.Register a, Operand.Memory b) => CreateInstr(Mnemonic.Sha256rnds2, a, b);
        public Assembler Vmaskmovdqu(Operand.Register a, Operand.Register b) => CreateInstr(Mnemonic.Vmaskmovdqu, a, b);
        public Assembler Vpcmpestri(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpestri, a, b, c);
        public Assembler Vpcmpestri(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpestri, a, b, c);
        public Assembler Vpcmpestrm(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpestrm, a, b, c);
        public Assembler Vpcmpestrm(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpestrm, a, b, c);
        public Assembler Vpcmpistri(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpistri, a, b, c);
        public Assembler Vpcmpistri(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpistri, a, b, c);
        public Assembler Vpcmpistrm(Operand.Register a, Operand.Register b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpistrm, a, b, c);
        public Assembler Vpcmpistrm(Operand.Register a, Operand.Memory b, Operand.Immediate c) => CreateInstr(Mnemonic.Vpcmpistrm, a, b, c);

        public Assembler Jmp(Label a) => CreateInstr(Mnemonic.Jmp, a);
        public Assembler Jmp(Operand.Register a) => CreateInstr(Mnemonic.Jmp, a);
        public Assembler Jmp(Operand.Memory a) => CreateInstr(Mnemonic.Jmp, a);
        public Assembler Jmp(Operand.Immediate a) => CreateInstr(Mnemonic.Jmp, a);

        public Assembler Jnz(Label a) => CreateInstr(Mnemonic.Jnz, a);
        public Assembler Jnz(Operand.Immediate a) => CreateInstr(Mnemonic.Jnz, a);

        public Assembler Jz(Label a) => CreateInstr(Mnemonic.Jz, a);
        public Assembler Jz(Operand.Immediate a) => CreateInstr(Mnemonic.Jz, a);

        public Assembler Jnb(Label a) => CreateInstr(Mnemonic.Jnb, a);
        public Assembler Jnb(Operand.Immediate a) => CreateInstr(Mnemonic.Jnb, a);

        public Assembler Jno(Label a) => CreateInstr(Mnemonic.Jno, a);
        public Assembler Jno(Operand.Immediate a) => CreateInstr(Mnemonic.Jno, a);

        public Assembler Js(Label a) => CreateInstr(Mnemonic.Js, a);
        public Assembler Js(Operand.Immediate a) => CreateInstr(Mnemonic.Js, a);

        public Assembler Jp(Label a) => CreateInstr(Mnemonic.Jp, a);
        public Assembler Jp(Operand.Immediate a) => CreateInstr(Mnemonic.Jp, a);

        public Assembler Call(Operand.Register a) => CreateInstr(Mnemonic.Call, a);
        public Assembler Call(Operand.Memory a) => CreateInstr(Mnemonic.Call, a);
        public Assembler Call(Label a) => CreateInstr(Mnemonic.Call, a);
        public Assembler Call(Operand.Immediate a) => CreateInstr(Mnemonic.Call, a);
    }
}
